ActiveReports 11 Server Designer User Guide

ActiveReports Server is a browser-based report designer that enables users without any knowledge of SQL to create reports with charts and tables, filtering, grouping, sorting, and parameters.

Note: This help file is for ActiveReports Server Designer. In case you are looking for Administrative features, you can see ActiveReports Server User Guide for more information.

In the ActiveReports Server Report Portal Documentation

Getting Started
A brief introduction to the ActiveReports Server environment with an overview of the terms that are used throughout the product documentation. This topic also provides a step-by-step guide to creating your first tabular report.
Report Concepts
Learn about the underlying concepts of report design in ActiveReports Server.
Working with Tables
This topic explains how to work with tables in ActiveReports Server.
Working with Text and Numbers
Here you will learn about using text in your reports with ActiveReports Server.
Working with Charts
Here you will learn how to work with charts in ActiveReports Server.
Working with Images
Find out about using images in your reports in ActiveReports Server.
Working with Parameters
Discover how to make your reports interactive by using parameters with your table and chart filters.
Scheduling Reports
Learn about report scheduling and distribution in ActiveReports Server.
Report Versions
Learn about report versioning in ActiveReports Server.
Report Categories
Learn about report categories in ActiveReports Server.
Caching Reports
Learn how and why to modify report cache settings.
How To
Quickly learn how to perform specific tasks with ActiveReports Server.

Licensing Agreement

Please see the ActiveReports Server Licensing Agreement on our web site for full details about licensing for each edition.

Acknowledgements

Microsoft, Windows, Visual Studio, and Microsoft SQL Server are either registered trademarks or trademarks of Microsoft Corporation in the United States and/or other countries.


Getting Started

Getting Started
ActiveReports 11 Server Designer User Guide > Getting Started

This topic introduces you to the ActiveReports Server Report Portal.

Report Portal
Learn about the starting point for all reporting tasks in ActiveReports Server.
Creating Your First Semantic Report
Learn the basics of Semantic report authoring by following the step-by-step instructions on tabular report creation.
Previewing Semantic Reports
Learn to view the Semantic reports created in the ActiveReports Server in the Preview tab.
Previewing Reports in HTML5 Viewer
Learn about previewing reports in the HTML5 Viewer that provides 3 types of UI options - mobile UI, desktop UI, and custom UI.
See Also
Report Concepts


Report Portal

Report Portal
ActiveReports 11 Server Designer User Guide > Getting Started > Report Portal

The starting point for all reporting with ActiveReports Server is the Report Portal. The Administrator provides you a link to reach the portal along with a user name and password to log in. Once you are logged in, the Report Portal shows you a list of existing reports that you can preview, design, or delete.

Report Portal

The Report Portal consists of the following elements

ToolBar Elements Name Description Support in Mobile Portal
Quick Access Toolbar - Consists of commonly used commands to perform basic operations.
Admin dashboard

Allows the End User to access the Administrator dashboard from the Report Portal.

Note: Admin permissions are required to view the Admin dashboard link. Please contact your server administrator to provide you the required permission to access the admin dashboard.
✓
Log Out Logs out the End User from ActiveReports Server. ✓
ActiveReports Server Allows the End User to open the ActiveReports Server help documentation. ✓
Send Feedback Allows the End User to Send Feedback related to the product. ✓
Categories and Search - Consists of a Categories panel that displays System Categories and Personal Categories, and a Search option that allows End Users to search reports in the Report List. It also contains My Favorites section that displays all your favorite reports.
Search

Allows the End User to search reports from a list of existing System and Personal Categories. There are two types of search that are available for the End User. See System Categories and Personal Categories for further details.

  • Search in selected category: Allows users to search their reports in the selected category.
  • Search in all categories - Allows users to search their reports in all the existing categories.
 ✓
Create Allows the End User to create a new Personal category using the Add/Edit Category dialog box. See Working with Categories for further information. ✘
No Category
 This is a default category. Reports that are not assigned any categories are listed under this section. ✓
My Favorites
 Allows End User to quickly access the frequently used reports. Reports marked as favorite are listed under the My Favorites section. ✓
Report List - This section consists of a list of reports. Report Name, Date, Time and User name are displayed for all the reports in the Report List.
Gallery View Displays the list of reports in the Gallery View mode. ✘
List View Displays all the reports in the List View mode. ✘
Sorted by

Allows the End User to sort their reports. Reports can be sorted on,

  • Report Name
  • Modify Date
  • User Name
 ✓
Report Check Box
 Allows the End User to select a report from the Report List. ✓
Create Report Allows the End User to create a new report. In the Create report dialog that appears, you can select the report type - Semantic report, Section report, Page report and RDL report. See Create Your First Report and ClickOnce End User Designer for further information. ✘
Favorites Allows the End User to add or remove their reports from the My Favorites section. See Add or Remove reports from Favorites for further information. ✓
Report info Displays the Information tab that includes information related to the selected report to the right of the Report Portal. ✓
Preview report Allows the End User to preview the output of the report in the ActiveReports Server Viewer. See Site Settings to change the report preview options. ✓
Design report Displays the selected report in the Designer. ✘
Delete report Deletes the selected report from the Report List. ✘
Report list items: select all or unselect all Allows the End User to select or clear all the reports in the Report List. ✘
Selected reports Displays the count of selected reports in the Report List. ✓
Delete Allows the End User to delete the selected reports from the Report List. ✓
Information Tabs - Displays information related to the report. It consists of Information, Schedule, History, Revisions, and Categories tab.
Info Displays properties, permissions and caching information for the selected report. ✓
Schedule Allows the End User to add a schedule for the selected report. See Scheduling Reports for further information. ✘
History Displays a history list that corresponds to a schedule task. See Report History for further information. ✘
Revisions Displays a list of revisions for the selected report. See Report Versions for further information. ✘
Categories Displays the list of categories that you can assign to your reports. See Categories for further information. ✘
See Also
Interface Elements

Reference

Design Tab


Mobile Report Portal

Mobile Report Portal
ActiveReports 11 Server Designer User Guide > Getting Started > Report Portal > Mobile Report Portal

Mobile portal is a responsive user interface of the desktop Report Portal that gives you the flexibility to perform various reporting functions such as searching, exporting, previewing reports using simple touch gestures. Now you can access ActiveReports Server mobile portal from any touch enabled device and view the reports from anywhere.

Log in with the username and password provided by the System Administrator to access the Mobile Portal.

Note: The Mobile viewport of the ActiveReports Server Report Portal does not provide a few functionalities such as scheduling, report creation etc. See Report Portal for a complete list of functionalities which are supported in the Mobile Report Portal.

Elements of the Login Screen

Login Screen

Elements | Name | Description
 | Login Field | Displays the user name to access the reports on the Mobile Report Portal.
 | Password Field | Displays the password to log into the Mobile Report Portal.
 | Login Button | Allows users to log into the Mobile Report Portal.
 | I forgot my password link | Allows users to recover their password.
 | Keep me Logged in check box | Saves the login information in the browser.
 | Don't have an account? Login as guest link | Allows users to access the Mobile Report Portal as a guest user.

Elements of the Categories and Search Screen

Categories and Search Screen

Categories and Search Screen

Elements | Name | Description
Quick Access Toolbar - Consists of commonly used commands to perform basic operations.
Side Menu | Single tap the Side Menu button to display the categories and search option screen.
Admin dashboard

Allows the End User to access the Administration dashboard from the Report Portal.

Note: Admin permissions are required to view the Admin dashboard link. Please contact your server administrator to provide you the required permission to access the Admin dashboard.
Log Out | Logs out the End User from ActiveReports Server.
ActiveReports Server Help | Allows the End User to open the ActiveReports Server help documentation.
Send Feedback | Allows the End User to Send Feedback related to the product.
Categories and Search - Consists of a Categories panel that displays System Categories and Personal Categories, and a Search option that allows End Users to search reports in the Report List. It also contains My Favorites section that displays all your favorite reports.

No Category

 This is a default category. Reports that are not assigned any categories are listed under this section.
My Favorites | Allows End User to quickly access the frequently used reports. Reports marked as favorite are listed under the My Favorites section.

Search

Allows the End User to search reports from a list of existing System and Personal Categories. There are two types of search that are available for the End User. See System Categories and Personal Categories for further details.

  • Search in selected category: Allows users to search their reports in the selected category.
  • Search in all categories - Allows users to search their reports in all the existing categories.
Show reports from selected category button | Single tap the Show reports from selected category button displays all the reports for the selected category.

Elements of Report List Screen

Report List

Elements | Name | Description
Preview | Allows the End User to preview the output of the report in the ActiveReports Server HTML5 Viewer.
Favorites | Allows the End User to add or remove their reports from the My Favorites section. See Add or Remove reports from Favorites for futher information.
Sorted by

Allows the End User to sort their reports. Reports can be sorted on,

  • Report Name
  • Modify Date
  • User Name
Delete | Deletes the selected report from the Report List.
Selected reports | Displays the count of selected reports in the Report List.
Report info | Select a report and then single tap the Report info button to display the Information Tab to the right of the screen that includes information related to the selected report.
Report details | Displays the Information Tab to the right of the screen that includes information related to the selected report.

Elements of Preview Screen

Elements | Name | Description
 | Table of Contents | Single tap the Table of Contents button to open the Table of Contents pane. Tap any Table of Contents item within the Table of Contents pane to navigate to the corresponding section of the report.
 | Parameters | Single tap the Parameters button to open the Parameters pane. The Parameters pane appears automatically if your report contains parameters.
 | Search | Allows you to search a specific text in the report. Single tap the Search button to open the Search pane.
 | Save As | Displays the drop-down list of formats to export the report. The available options are PDF Document, Word Document, Image File, MHTML Web Archives, and Excel Workbook. Tapping the menu item exports the report to the selected format and opens the saved file in the browser as an attachment.
 | Email | Send report by email after specifying email address of the recipient in the Send Report by Email dialog. You can select the format of the report from PDF (default), EXCEL, MHT, Image, WORD, and XML , and choose to send the report as link or as an attachment.
 | Back to Parent | Returns to the parent report in a drill-through page report.
 | Next Page | Navigates to the next page of the displayed report.
 | Previous Page | Navigates to the previous page of the displayed report.
 | Current Page | Displays the current page number and page total. Enter the page number to view a specific page.

See Preview Reports in HTML5 Viewer for more information.

See Also
Report Portal
Previewing Reports in HTML5 Viewer


Creating Your First Semantic Report

Creating Your First Semantic Report
ActiveReports 11 Server Designer User Guide > Getting Started > Creating Your First Semantic Report
Show All
Hide All

This topic explains how to create a basic tabular report. This process consists of the following tasks:

  • Logging on to ActiveReports Server
  • Creating a new report
  • Adding attributes to the table and resizing
  • Saving the report
  • Opening an existing report
  • Rendering a report

To log on to ActiveReports Server

  1. From the Start menu, select All Programs, GrapeCity, ActiveReports Server, Report Portal.
  2. In the Welcome to the Designer dialog that appears in your default Web browser, in the User Name field, enter your registered user name.
  3. In the Password field, enter your password.

  4. Click Login. The ActiveReports Server Report Portal appears.

To create a new report

  1. On the ActiveReports Server Report Portal, click Create report.
  2. Select Semantic report and click OK.
  3. Click the data model that you want to use, in our example, ActiveTunes (Sample).
  4. The Design tab appears, displaying the toolbar along the top, the Entity Tree and Attribute Tree on the left, and the design surface on the right. This is the ActiveReports Server Report Portal.

  5. The Entity Tree displays a list of entities in the data model. From the Entity Tree, drag the Customer entity to the report surface.

  6. In the Select wizard that appears, select Table.
  7. The Entity Tree expands the Customer entity, and the table appears on the report surface populated with some of the Customer attributes and with its adorners showing along the top, left, and bottom edges.

  8. Click the table to reveal the adorners if they are not visible. Hover the pointer between the left adorner and the edge of the table to reveal arrow buttons.

  9. Click the center arrow that appears on the left, and in the menu that appears, select Toggle Table Footer. A table footer is added.
    Note: Each time you click Toggle Table Header or Toggle Table Footer, you switch the table header or footer on or off.
  10. Hover the pointer above a column and click the arrow button that appears. In the context menu that appears, select Delete Column. The column is deleted.

  11. You can add or delete other columns in the table using the Add Column Left, Add Column Right, and Delete Column menu items.

To add an attribute to the table and resize it

  1. From the Attribute Tree, drag the Country attribute onto the table and drop it to the right of the Full Name column detail row so that a blue arrow appears. A new Country column is added to the table.

    Note: You can only drop attributes in certain table cells. (See Table Data for details.) Cells in which you can drop an attribute are highlighted blue when you drag an attribute over them.
  2. To resize, click the table to reveal its adorner and drag a corner. You can see the table size while changing it.
    • the top-right corner changes only the width
    • the bottom-left corner changes only the height
    • the bottom-right corner changes both width and height

To save the report

  1. In the right upper corner of the screen, click Save [image].
  2. In the Save Report dialog, enter the Report Name and add a revision Comment about the report.
    For more details on Report Versions , see Working with Report Version.
  3. The report is saved and added to the list of reports.
  4. To access the list of reports, see below.

To open an existing report

  1. On the ActiveReports Server Report Portal, select a report from the Report List.
  2. Next to the report click Design [image] to open the report in Designer.

Note: Click the Preview button to open a report in the Viewer. You cannot edit reports in the Viewer.

To render a report

  1. On the Design tab, click the arrow section of the Preview drop-down button. The Preview menu appears.
  2. Select the format in which you want to render the report.
    Note: If you select Preview, or click directly on the Preview button instead of the arrow, it opens the report in the ActiveReports Server Preview tab. For more information, see Previewing Reports.

  3. Your request is added to the queue. In the bottom right corner of the screen, a status bar displays the status of the report rendering.
  4. While the Sending message appears in the status bar, you can click the Cancel button to cancel the request.
  5. When the rendering is finished, the Report successfully loaded message appears in the status bar and the report displays in the viewer.
See Also
Previewing Semantic Reports
Report Concepts
Report Versions


Previewing Semantic Reports

Previewing Semantic Reports
ActiveReports 11 Server Designer User Guide > Getting Started > Previewing Semantic Reports

You can preview your report at any stage of the report creation process. On the Design, Report, or Page tab, click Preview to see the output version of the report in the ActiveReports Server Viewer.

Note: You can also access the ActiveReports Server Viewer from the Report Portal. On the Report Portal, next to the report click the Preview button.

The Preview tab has a toolbar with the following buttons.

Report section

  • Design returns you to the report Designer.
  • Print opens the Page Range dialog where you can choose from:
    • All prints all of the report pages.
    • Current Page prints only the page showing in the viewer.
    • Range allows you to specify the page numbers that you want to print.
  • Content Panel toggles the Table of Contents pane where you can also view page thumbnails.
  • Parameters toggles the Report Parameters pane if the report contains parameters.
  • Save saves the report in the specified format. Click the arrow to select the format.
    • Excel file (xls)
    • Mht document
    • Image file
    • PDF document
    • Word document
    • XML file (xml)

Navigation Section

  • Find opens the Find dialog.
  • N of M tells you the current page and total pages. Type a page number and hit the Enter key on your keyboard to go directly to a page.
  • Previous takes you to the previous page in the report.
  • Next takes you to the next page in the report.

View Section

  • Zoom allows you to specify the zoom level, between 10% and 800%, at which to display the report.
  • Single Page displays the report one page at a time.
  • Two Pages displays two report pages.
  • More Pages allows you to specify the number of report pages to display at once.
See Also
Creating Your First Semantic Report
Report Concepts

Designer Tutorials

Working with Parameters


Previewing Reports in HTML5 Viewer

Previewing Reports in HTML5 Viewer
ActiveReports 11 Server Designer User Guide > Getting Started > Previewing Reports in HTML5 Viewer
Show All
Hide All

The HTML5 Viewer is a Javascript component that can be used in web applications to preview reports hosted on ActiveReports Server or ActiveReports 11 Web Service. The HTML5 Viewer provides several UI types to target the wide range of supported devices. The application can switch between these options using the public API methods and properties.

HTML5 Viewer Mobile UI

HTML5 Viewer Mobile Top Toolbar

Toolbar Element | Name | Description
 | Table of Contents | Displays the Table of Contents pane.
 | Parameters | Displays the Parameters pane.
 | Search | Displays the Search pane.
 | Single page view | Displays one page at a time in the viewer.
 | Continuous page view | Displays all preview pages one below the other.
 | Galley mode | Provides a viewer mode which removes automatic page breaks from an RDL report and displays the data in a single scrollable page. This mode maintains page breaks you create in the report.
 | Save As | Displays the drop-down list of formats to export the report. The available options are PDF Document, Word Document, Image File, MHTML Web Archives, and Excel Workbook. Tapping the menu item exports the report to the selected format. and opens the saved file in the browser as an attachment.
 | Email | Send report by email after specifying email address of the recipient in the Send Report by Email dialog. You can select the format of the report from PDF (default), EXCEL, MHT, Image, WORD, and XML , and choose to send the report as link or as an attachment.

HTML5 Viewer Mobile Bottom Toolbar

Toolbar Element | Name | Description
 | Previous Page | Navigates to the previous page of the displayed report.
 | Next Page | Navigates to the next page of the displayed report.
2/124 | Current Page | Displays the current page number and page total. Enter the page number to view a specific page.
 | Back to Parent | Returns to the parent report in a drill-through page report.

HTML5 Viewer Mobile Table of Contents Pane

The Table of Contents pane appears when you tap the TOC button on the toolbar. Tap any TOC item in the Table of Contents pane to navigate to the corresponding section of the report in the Viewer.

The Table of Contents pane has a Close (x) button that hides the pane and shows the report display area. If a report does not have a Table of Contents, the TOC button in the toolbar is disabled.

HTML5 Viewer Mobile Parameters Pane

The Parameters pane appears automatically if your report contains parameters.

In the Parameters pane, click the [image] button to open the Parameters Value editor where you can choose or enter values depending on the parameter type.

After you select or enter the values, click the Back button to navigate to Parameters Pane. Click the View Report button to view the report according to the selected parameter values.

In the Parameters pane, you can use parameters to filter or add the data to display reports at runtime. You can either prompt users for parameters so that they control the output, or set hidden parameters to pass values automatically at runtime without prompting the users. To filter or add the report data, enter a value or set of values and click View report.

If a report does not have parameters, the Parameters button in the toolbar is disabled. Parameters

HTML5 Viewer Mobile Search Pane

The Search pane appears when you tap the Search button in the toolbar. The Search pane occupies all the available HTML5 viewer size.

This pane allows you to search for a specific text in the report.

To search in a report:

  • Enter the word or phrase in the search field.
  • Under the search field, you may choose to use the Match case and Whole phrase options while searching in the report.
  • Click the Search button to see the results appear below the Search button.
  • Click an item in the list to jump to that item in the report.

HTML5 Viewer Desktop UI

HTML5 Viewer Desktop Toolbar

Toolbar Element | Name | Description
 | Sidebar | Displays the sidebar with the Table of Contents and Parameters panes.
 | Search | Displays the Search pane.
 | First | Navigates to the first page of the displayed report.
 | Prev | Navigates to the previous page of the displayed report.
2/124 | Current page | Displays the current page number and page total. Enter the page number to view a specific page.
 | Next | Navigates to the next page of the displayed report.
 | Last | Navigates to the last page of the displayed report.
 | Back to Parent | Returns to the parent report in a drill-through page report.
 | Print | Displays the Print dialog to specify printing options.
 | Single page view | Displays one page at a time in the viewer.
 | Continuous page view | Displays all preview pages one below the other.
 | Galley mode | Provides a viewer mode which removes automatic page breaks from an RDL report and displays the data in a single scrollable page. This mode maintains page breaks you create in the report.
 | Save As | Displays the drop-down list of formats to export the report. The available options are PDF Document, Word Document, Image File, MHTML Web Archives, and Excel Workbook. Tapping the menu item exports the report to the selected format. and opens the saved file in the browser as an attachment.
 | Email | Send report by email after specifying email address of the recipient in the Send Report by Email dialog. You can select the format of the report from PDF (default), EXCEL, MHT, Image, WORD, and XML , and choose to send the report as link or as an attachment.

HTML5 Viewer Desktop Table of Contents Pane

The Table of Contents pane appears when you click the Sidebar button in the toolbar. Click any TOC item to navigate to the corresponding section of the report in the Viewer.

If a report does not have the Table of Contents, the Sidebar button in the toolbar is disabled.

HTML5 Viewer Desktop Parameters Pane

The Parameters pane appears when you click the Sidebar button in the toolbar and then click the Parameters tab. In the Parameters pane, enter a value to filter the data to be displayed.

Click View Report button to view the report according to the selected parameter values.

You can use parameters to filter or add the data to display in reports at runtime. You can either prompt users for parameters so that they control the output, or set hidden parameters to pass values automatically at runtime without prompting the users. To filter or add the report data, enter a value or set of values and click View report.

If a report does not have parameters, the Parameters pane does not appear in the sidebar. For more information, see Parameters.

HTML5 Viewer Desktop Search Pane

The Search pane appears when you click the Search button on the toolbar. This pane allows you to search for a specific text in the report.

To search in a report:

  • Enter the word or phrase in the search field.
  • Under the search field, you may choose to use the Match case and Whole phrase options while searching the report.
  • Click the Search button to see the results appear below the Search button.
  • Click an item in the search results to jump to that item in the report.

HTML5 Viewer Custom UI

The custom UI option of the HTML5 Viewer provides the ability to create a customized viewer for targeted devices and to meet the specific application requirements.

You can customize the appearance of the HTML5 Viewer using the public API methods and properties, described in Work with HTML5 Viewer using Javascript.


Report Concepts

Report Concepts
ActiveReports 11 Server Designer User Guide > Report Concepts

This section introduces the concepts behind report design in ActiveReports Server.

Interface Elements
This section provides an overview of the ActiveReports Server user interface.
Data Models
Learn about Data Models and how to use them.
Filters and Parameters
Understand interactive parameters and filters, and where to get more information on each.
Drill Down and Drill Through
Learn about drill-down tables and drill-through report links.
Themes
Find out how themes can help you apply the appearance of a report you are authoring to other reports to save time.
Rendering
Learn how ActiveReports Server renders reports into specified formats.
Relative Dates
Find out about setting relative dates on parameters in reports and in report scheduling.
Page Headers and Footers
Learn how to show or hide page headers and footers, and how they appear in exported reports.
ClickOnce End User Designer
Learn about the ClickOnce End User Designer and the provided possibilities of report authoring.
See Also
Getting Started
How To


Interface Elements

Interface Elements
ActiveReports 11 Server Designer User Guide > Report Concepts > Interface Elements

The ActiveReports Server Designer interface that appears when you select the Design tab provides easy access to report creation functions.

Click any of the Tabs to change the toolbar and the view.

The Entity Tree contains a list of business objects (e.g. Contact, Product, etc.) included in the data model. Entities display as a multi-level tree. Each level in the tree has a set of attributes. Select an entity to display the corresponding set of attributes in the Attribute Tree.

The Attribute Tree displays the attributes that are associated with the entity selected under the Entity Tree.

The Report Design Surface is where you can drag and drop entities and attributes to create tables and charts and other controls to design your reports. It is visible on the Design tab and the Report tab. See below for more information.

  • Design Tab
  • Report Tab
  • Page Tab
  • Table Design Tools Tab
  • Chart Design Tools Tab
  • Image Design Tools Tab
  • Preview Tab
See Also
Getting Started


Design Tab

Design Tab
ActiveReports 11 Server Designer User Guide > Report Concepts > Interface Elements > Design Tab
Show All
Hide All

In addition to the Entity Tree, Attribute Tree, and Report Design Surface, the Design tab displays a toolbar that allows you to manage basic report options and perform basic actions on the report. This toolbar also gives you access to report item formatting and rendering.

Design Tab Toolbar Buttons

File Section

Button | Description
Save | Click to save the changes in the report that you are working on. The Enter Comment dialog that opens on clicking this button allows you to enter a revision comment related to the changes made in the report. For more inforamtion, see Working with Report Versions.
Save As | Click to save a new report or to rename and save an existing report. The Save Report dialog that opens on clicking this button also allows you to enter a revision comment for the report. For more inforamtion, see Working with Report Versions.

View Section

Button | Description
Preview drop down | See Previewing Semantic Reports for more information.

Font Section

Button | Description
Font Style | Select the Major or Minor font for the theme. To change the family, you must change the report Themes.
Increase Font Size | Click to increase the size of the font in the selected text area. This applies to an entire textbox, or the selected text element within a chart or table.
Decrease Font Size | Click to decrease the size of the font in the selected text area. This applies to an entire textbox, or the selected text element within a chart or table.
Font Weight | Click to toggle bold face for the selected text area. The icon is highlighted when bold face is toggled on.
Font Decoration | Click to toggle italic text for the selected text area. The icon is highlighted when italic text is toggled on.
Color | Click to select the font color for the selected text area. You can select from theme colors, standard colors, or a graph with more colors.
Background Color | Click to select the background color for the selected text area. You can select from transparent, theme colors, standard colors, or a graph with more colors.

Text & Color Section

Button | Description
General | Click to specify alignment based on the type of field: Left for text, right for numeric fields.
Text Align Left | Click to specify left alignment for the selected text area. The icon is highlighted when it is selected.
Text Align Center | Click to specify center alignment for the selected text area. The icon is highlighted when it is selected.
Text Align Right | Click to specify right alignment for the selected text area. The icon is highlighted when it is selected.
Arrange | When report items overlap, drop down and select from one of these options to set the layer of the selected report item: Bring Forward, Bring to Front, Send Backward, or Send to Back.
Border Style | Drop down to select a border style to apply to the selected textbox.
Border Width | Select a value between .25 pt and 6 pt for the border thickness of the selected text area.
Border Color | Click to select the border color for the selected text area. You can select from theme colors, standard colors, or a graph with more colors.
Borders | Drop down to select which borders to draw on the selected textbox.

Format Section

Button | Description
Number Formatting

Drop down to choose how to display the selected numeric field. Choose from Currency, Percent, Scientific, Fixed-point (based on your Increase or Decrease Decimal settings), General, or Other. Select Other to open the Custom Format dialog.

If the selected numeric field on your report is a date, a list of date and time formatting options appears, or select Other to open the Custom Format dialog.

Currency expands to let you choose General (based on your locale), US Dollar, Euro, Yen, British Pound, Chinese Yuan, Swiss Franc, or Other Currency. Select Other Currency to open the Custom Format dialog.
Increase Decimal | Click to increase the number of decimal places displayed in the selected numeric fields by one place. Continue clicking until you reach the number of decimal places you need.
Decrease Decimal | Click to decrease the number of decimal places displayed in the selected numeric fields by one place. Continue clicking until you reach the number of decimal places you need.

Edit Section

Button | Description
Undo | Click to revert to the state prior to your last action on the report.
Redo | After clicking Undo, click to restore the undone action.
Delete | Deletes the selected item from the report.

Interactivity Section

Button | Description
Drilldown | Click to select a report for which to create a drill-through link.
See Also

Getting Started

Interface Elements
Themes

Designer Tutorials

Formatting Text
Modifying Text in a Table
Modifying Text in a Chart


Report Tab

Report Tab
ActiveReports 11 Server Designer User Guide > Report Concepts > Interface Elements > Report Tab

This toolbar allows you to manage themes for the selected report, add TextBox or Image report controls, and set report parameters and preferences.

Report Tab Toolbar Buttons

Theme Section
Button | Description
Autumn | Applies the default theme to the report. The theme includes not only colors, but also fonts and font styles. See Themes for more information.
Blue, Gray, Green, Pastel, Rainbow, or Springtime | Applies a different theme to the report. See Themes for more information.
Report Section
Preferences | Opens the Configuration dialog where you can select the Measurement System to use. Choose from U.S. Units or Metric Units.
Region | Drops down a list of culture locales from which you can select to apply to the report.
Controls Section
Textbox | Drag this control onto the report design surface to create a box in which you can enter text that you want to appear on your report. See Working with Text and Numbers for more information
Image | Drag this control onto the report design surface to create a placeholder for an image that you want to appear on your report. While the placeholder is selected, the Image Design Tools tab appears. See this tab below, or see Working with Images for more information.
See Also

Getting Started

Interface Elements
Themes

Designer Tutorials

Formatting Text
Modifying Text in a Table


Page Tab

Page Tab
ActiveReports 11 Server Designer User Guide > Report Concepts > Interface Elements > Page Tab

The Page tab allows you to set margins, orientation, and page size for reports.

Page Tab Buttons

Margins Button

Click this button to drop down a list of common margin settings. You can choose from

  • None
  • Normal
  • Narrow
  • Moderate
  • Wide

Alternately, you can set each margin separately using the up and down arrows next to the Top, Bottom, Left, and Right boxes.

Orientation Button

Click this button to drop down the orientation settings. You can select:

  • Portrait
  • Landscape

Size Button

Click this to display a list of common paper sizes. You can choose from:

  • Letter 8.5 x 11 in
  • Legal 8.5 x 14 in
  • Statement 5.5 x 8.5 in
  • A5 5.83 x 8.27 in
  • A4 8.27 x 11.69 in
  • A3 11.69 x 16.64 in

Alternately, you can set the dimensions separately using the up and down arrows next to the Width and Height boxes.

Header Button

Click this to display a list of header settings. You can choose from:

  • Off
  • On, All Pages
  • On, Except First Page
  • On, Except Last Page
  • On, Except First & Last Page

Footer Button

Click this to display a list of footer settings. You can choose from:

  • Off
  • On, All Pages
  • On, Except First Page
  • On, Except Last Page
  • On, Except First & Last Page

Header Height

Use the up and down arrows to change the height of the header. By default, the header is half an inch high.

Footer Height

Use the up and down arrows to change the height of the footer. By default, the footer is half an inch high.

See Also
Design Tab
Preview Tab
Page Headers and Footers

Getting Started

Interface Elements


Table Design Tools Tab

Table Design Tools Tab
ActiveReports 11 Server Designer User Guide > Report Concepts > Interface Elements > Table Design Tools Tab

This toolbar appears when you select a table element in the report, and allows you to manage table styles and toggle table sections: Header, Details and Footer.

Table Toolbar Buttons

Style Section
Button | Description
Flat | This is the default table style using bold background colors for the headers and no header borders.
Flat Light | This is like the default table style, but with paler versions of the colors.
Grid | This is like the default table style using bold background colors for the headers, but with header borders.
Grid Light | This is like the grid table style with header borders, but with paler versions of the background colors.
Light | This table style uses no background colors, and only has borders.
Header/Footer Section
Table Header | Turns the table header display on or off. The button is highlighted when the header is on for the selected table. The header is on by default.
Table Details | Turns the table details display on or off. The button is highlighted when the details are on for the selected table. Details are on by default. Turn details off and the footer on to display only the totals.
Table Footer | Turns the table footer display on or off. The button is highlighted when the footer is on for the selected table. The footer is off by default.

For more information, see Working with Tables.

Note: To select the table, click inside the table to reveal the adorners around the edges, then click the square thumb at the top left corner of the table. The adorners disappear and a selector border with grab handles appears around the table.
See Also

Getting Started

Interface Elements
Themes

Designer Tutorials

Working with Tables


Chart Design Tools Tab

Chart Design Tools Tab
ActiveReports 11 Server Designer User Guide > Report Concepts > Interface Elements > Chart Design Tools Tab
Show All
Hide All

This toolbar appears when you select a chart element in a report, and allows you to manage chart settings.

Chart Toolbar Buttons

Style Section

Button | Description
Each button represents a different combination of foreground and background colors. | Use the drop-down arrow to the right to scroll through the options.

Axis Section

Select the numeric scale labels of an axis to enable these buttons.

Button | Description
Logarithmic Scale | Turns logarithmic scale numbering for the axis steps on or off. Logarithmic scale numbering uses the distance from the origin or a ratio of the quantity. Otherwise, the axis steps are determined based on the data displayed or on the other axis settings. The button is highlighted when logarithmic scale is on for the selected chart. This is off by default.
Angled Labels | Angles the text on the axis so that it fits better and is more visually appealing.
Vertical Title | Renders the title for the Y axis vertically along the axis, instead of horizontally above the axis.
Min | Enter a number to use as the lowest to display on the axis. Otherwise, the number is determined automatically based on the data displayed.
Max | Enter a number to use as the highest to display on the axis. Otherwise, the number is determined automatically based on the data displayed.
Steps | Enter the number to use for label steps on the axis. This is only enabled when you provide a minimum and maximum value for the axis.

Tools Section

Click the thumb adorner at the top left corner of the chart to select the entire chart and enable these buttons.

Button | Description
Swap Data | Exchanges the category and series data in the selected chart. The button is highlighted when data is swapped in the selected chart. Click again to restore it.
Chart Type | Click the drop-down button to display ten chart types from which you can choose: Simple Column, Stacked Column, 100% Stacked Column, Simple Bar, Stacked Bar, 100% Stacked Bar, Simple Line, Simple Scatter, Scatter/Lines, or Bubble.

Legend Section

Select the legend text to enable these buttons.

Button | Description
Show Legend | Turns the legend on or off for the selected chart. The legend displays colors and their values to aid in reading the chart. The button is highlighted when the legend is on for the selected chart. The legend is on by default if the chart has multiple data points; otherwise, it is off by default.
Columns | Click to list items in columns for the selected legend.
Rows | Click to list items in rows for the selected legend.
Table | Click to list items in a table for the selected legend.

For more information, see Working with Charts.

Note: To select the chart, click inside the chart to reveal the adorners around the edges, then click the square thumb at the top left corner of the chart. The adorners disappear and a selector border with grab handles appears around the chart.
See Also

Getting Started

Interface Elements
Themes

Designer Tutorials

Working with Charts


Image Design Tools Tab

Image Design Tools Tab
ActiveReports 11 Server Designer User Guide > Report Concepts > Interface Elements > Image Design Tools Tab

This toolbar appears when you select an image report control, and allows you to manage image settings.

Image Toolbar Buttons

Image Section
Button | Description
Source | Opens the select an image dialog where you can browse for images and select the image to display in the control.
Auto | Click to automatically set the size of the image control to the original size of the image. Tip: If your original image size is large compared with the report, click Undo to quickly return to the default mode, Proportional.
Fit | Click to stretch the image in whatever way is necessary to completely fill the image control when you size it manually. This stretches the image out of its original shape if the control does not fit the original image aspect ratio.
Proportional | Click to maintain the aspect ratio of the image within the image control. This leaves a space below or to the right of the image if the control does not fit the original image aspect ratio.
Clip | Click to show the image in its original size and clip off any part of the image that does not fit within the control. If the original image is very large, only the top left corner of the image is shown.

For more information, see Working with Images.

See Also

Getting Started

Interface Elements

Designer Tutorials

Working with Images


Preview Tab

Preview Tab
ActiveReports 11 Server Designer User Guide > Report Concepts > Interface Elements > Preview Tab

This toolbar contains the Viewer options.

Viewer Toolbar Buttons

Report Section
Button | Description
Design | Click to return to the design view of the report.
Print | Click to open the page range dialog, then the print dialog.
Content Panel | Click to display the Table of Contents panel, where you can also select the Thumbnails tab.
Parameters | Click to display parameters that have been added to the report. See Working with Parameters for more information.
Save | Click the drop-down arrow to display the file types to which you can save your report. Choose from: XLS, MHT, Image, PDF, Word, or XML. By default, if you click on the button instead of dropping it down, it saves to a PDF file.
Navigation Section
Find | Click to open the Find dialog where you can find text within the report.
N of M | Displays the current and total page numbers. Enter the page number to which you want to jump and press Enter.
Previous | Click to return to the previous page in the report.
Next | Click to move to the next page in the report.
View Section
Zoom | Click the drop-down arrow to select a zoom option between 10% and 800%, or to fit the report to the width of the viewer.
Single Page | Click to display one entire page in the viewer.
Two Pages | Click to display two pages side-by-side in the viewer.
More Pages | Click to select pages to display up to three by two.

For more information, see Previewing Semantic Reports.

See Also

Getting Started

Interface Elements
Previewing Semantic Reports


Data Models

Data Models
ActiveReports 11 Server Designer User Guide > Report Concepts > Data Models

A data model is an abstract model that represents data organized in entities, with relationships between these entities defined. Each entity has its own attributes.

Data Models List

When you create a report, you create it on the basis of a data model that you select. On the Report Portal, click New Report [image] to create a new report and display a list of data models from which you may choose one.

When you click a data model in the list, a new, blank report appears on the Design tab, with the data entities displayed in the Entity Tree. You can explore the data model by expanding nodes in the tree, and selecting entities to display their attributes below in the Attribute Tree.

See Also
Creating Your First Semantic Report


Filters and Parameters

Filters and Parameters
ActiveReports 11 Server Designer User Guide > Report Concepts > Filters and Parameters

A filter compares your data to a value that you specify, and only displays the data that meets your conditions in the report. A parameter is an extension of a filter that allows the value to use in the filter to be passed in at run time.

Filters

Tables and charts have a Filter workspace with comparison settings to test data for inclusion or exclusion. For more information, see Table Filtering and Chart Filtering.

Parameters

Parameters allow the person viewing the report to decide which data to include or exclude based on attributes that you select when you design the report. See Working with Parameters for more information.

Parameters can also be hidden and used for scheduling, specifying different values for different scheduled tasks. See Scheduling Reports for more information.

See Also
Table Filtering
Chart Filtering

Designer Tutorials

Working with Parameters
Scheduling Reports


Drill Down and Drill Through

Drill Down and Drill Through
ActiveReports 11 Server Designer User Guide > Report Concepts > Drill Down and Drill Through

You can make your reports interactive by allowing your users to drill down into the detailed data that they need from a clean view of the high level data. You can achieve this with collapsible table groups (drill down), or with links to detail reports (drill through).

Drill Down

Drill-down reports are created using a table with groups. The group header represents the clean view of the high level data, and a second group becomes the collapsed detail data. For this reason, the collapsible property is only enabled when there are at least two groups, and the top-level group has a group header row.

When the report runs, data in the group header displays with a plus sign icon, as all groups are collapsed by default. Click the icon to expand the group and display any related detail data. Click the minus sign icon to collapse the group.

You can see this type of report in action in the Playlist Drilldown sample.

Exporting a drill-down report to Excel is the best way to preserve the interactivity, as Excel can duplicate the collapsible table group feature.

If you export a drill-down report to HTML, PDF, or an image format, any content which is hidden at the time of export remains hidden in the exported file. If you want all of the content to appear in the exported file, you must first expand each area of hidden data.

If you export a drill-down report to XML, all hidden data is exported regardless of whether it is hidden at the time of export.

Drill Through

Drill-through reports have links to separate reports with more detailed data. The linked report must have parameters, so that the main report can pass a value from the clicked link. The main report can have links on table cells or chart data points from which they derive the value to pass to the detail report.

When the main report runs, the data points or table cells with drill-through links change the pointer to a hand when you mouse over them, like hyperlinks on Web pages.

You can see this type of report in action in the Employee Sales Summary sample.

At design time, tables and charts that have drill through links are marked with an orange triangle at the bottom right corner.

Caution: If you change the name of the report that drill through links point to, the links are broken until you update them.

See Also

Designer Tutorials

Collapsing a Group
Create a Drill-Through Link
Create a Drill-Down Report


Themes

Themes
ActiveReports 11 Server Designer User Guide > Report Concepts > Themes

You can change the appearance of a report by changing its theme (a predefined set of fonts, colors and images). When you select a theme, it is applied to an entire report, and every element within it.

To apply a new theme to your report

  1. With a report open, select the Report tab.
  2. In the list of themes that appears, click a theme to apply it to the report or click the arrow to scroll through available themes.

See Also
Creating Your First Semantic Report

Reference

Report Tab


Rendering

Rendering
ActiveReports 11 Server Designer User Guide > Report Concepts > Rendering

You can render reports to a number of formats on the Design tab by clicking the drop-down arrow on the Preview button.

Format | Description
Default | Renders the report to the ActiveReports Server Viewer. See Previewing Semantic Reports for more information.
Excel | Transforms the selected report into a spreadsheet in XLS format for viewing in Microsoft Excel.
Html | Renders the selected report in HTML and displays it in a new tab in your browser.
Image | Renders the selected report as a static image in JPG format and displays it in a new tab in your browser.
PDF | Renders the selected report to a PDF file and displays it in the Adobe Acrobat Viewer in a new tab in your browser.
Word | Renders the selected report to a DOC file for viewing in Microsoft Word.
XML | Transforms reports into XML format for sharing data with other applications and displays it in a new tab in your browser.

For Excel and Word, when the rendering is complete, the file becomes available for download.

  • In Internet Explorer, you are offered a choice of whether to Open or Save the file.
  • In Google Chrome, the file appears in the downloads bar at the bottom of the window.
See Also
Previewing Semantic Reports

Reference

Design Tab
Preview Tab


Relative Dates

Relative Dates
ActiveReports 11 Server Designer User Guide > Report Concepts > Relative Dates
Show All
Hide All

When you set a parameter based on a date field and allow any value, you can allow users to choose relative dates in both viewing and scheduling reports. This allows you to set up scheduling that always updates automatically, with no need to go in and set the dates each time.

When you show the report in the viewer and it requests parameter values, you can drop down the date parameter and select either Specific Date or Relative Date. Specific Date shows you the calendar picker that you would normally see for a date, but Relative Date offers the following options.

  • beginning or end of
  • current, previous, or next
  • day, week, month, quarter, or year

These dates are relative to the date that the report runs, and the week range values are determined based on the report's culture rather than the server's culture.

Images of Specific Date and Relative Date options

When you schedule the report and specify report parameters, you are given the same choice of Specific or Relative Date.

See Also
Scheduling Reports
Filters and Parameters

Designer Tutorials

Working with Parameters


Page Headers and Footers

Page Headers and Footers
ActiveReports 11 Server Designer User Guide > Report Concepts > Page Headers and Footers

By default, new reports have a page header section at the top, and a page footer section at the bottom, that display on all pages of the report. To change these settings, on the Page tab, drop down the Header or Footer button and select how you want to display it. You can also set the height of each of these sections here, although the height automatically adjusts to accommodate any items you place in the section.

You cannot place data in these sections, but you can place images and textboxes. With a textbox, you can insert parameter values and report info such as page numbering, the report name, and the run date. See Adding Report Info and Parameters for more information.

Page Header and Footer Behavior in Exported Reports

When you export your reports to other formats, the page header and footer may not be supported.

Export Type | Header Behavior | Footer Behavior
Excel
  • Off: Does not display.
  • On, All Pages: Displays once at the beginning.
  • On, Except First Page: Displays once at the beginning.
  • On, Except Last Page: Displays once at the beginning.
  • On, Except First & Last Page: Displays once at the beginning.
  • Off: Does not display.
  • On, All Pages: Displays once at the end.
  • On, Except First Page: Displays once at the end.
  • On, Except Last Page: Displays once at the end.
  • On, Except First & Last Page: Displays once at the end.
Html
  • Off: Does not display.
  • On, All Pages: Displays just once at the beginning.
  • On, Except First Page: Does not display.
  • On, Except Last Page: Displays once at the beginning.
  • On, Except First & Last Page: Does not display.
  • Off: Does not display.
  • On, All Pages: Displays just once at the end.
  • On, Except First Page: Displays once at the end.
  • On, Except Last Page: Does not display.
  • On, Except First & Last Page: Does not display.
Image
  • Off: Does not display.
  • On, All Pages: Displays just once at the beginning.
  • On, Except First Page: Does not display.
  • On, Except Last Page: Displays once at the beginning.
  • On, Except First & Last Page: Does not display.
  • Off: Does not display.
  • On, All Pages: Displays just once at the end.
  • On, Except First Page: Displays once at the end.
  • On, Except Last Page: Does not display.
  • On, Except First & Last Page: Does not display.
PDF | Behaves the same as in the preview. | Behaves the same as in the preview.
Word | Behaves the same as in the preview. | Behaves the same as in the preview.
XML | Does not display. | Does not display.
See Also
Page Tab

Designer Tutorials

Adding Report Info and Parameters
Working with Textboxes
Working with Images


ClickOnce End User Designer

ClickOnce End User Designer
ActiveReports 11 Server Designer User Guide > Report Concepts > ClickOnce End User Designer

The ClickOnce End User Designer is a report designing application that is deployed in the ActiveReports Server. You can create a new ActiveReports Page, RDL, or Section report from the Report Portal or modify the ones that are already hosted on the ActiveReports Server.

Note: The ClickOnce End User Designer works only in Internet Explorer and Microsoft Edge browsers as both are based on the ClickOnce technology.

You can access the ClickOnce End User Designer for:

  • Creating a new report from the Report portal.

  • Modifying an existing report from the Admin Portal or the Report Portal.

The ClickOnce End User Designer consists of the following elements.

Element | Name | Description
Design View allows to create, design and edit a report.

Design View

 Design Surface The design surface of a report appears initially as a blank page and grid lines. You can create your own layout and drag report controls and fields onto the design surface to display your data.

Ruler

 Rulers Use the ruler to determine how your report will look on paper.

Designer Tabs

 Designer Tabs
  • Designer Tab
  • Script Tab
  • Preview Tab
 There are three tabs located at the bottom of the report design surface. Create a report layout in the Designer tab, write a script in the Script tab to implement .NET functionality and see the result in the Preview tab.

Page Tabs

 Page Tabs Report layouts are designed on separate pages and you can control the way each page appears. Using page tabs, you can select which page to view or edit, add new pages, remove existing pages, reorder pages, and create duplicate pages.
Designer Buttons The Designer buttons are located to the right of the designer tabs along the bottom of the designer.

Dimension Lines. Dimension lines let you track the location of the control as you move it by displaying the distance between the control and the edge of the writable area of the report.

Hide Grid. By default, grid lines and dots appear on the report design surface. You can click this button to hide the grid and design your report on a blank page.

Show Dots. You can click this button to have dots appear on the design surface in between the grid lines to guide you in the placement of controls.

Show Lines. You can click this button to have faint grey lines appear on the design surface in between the grid lines to guide you in the placement of controls.

Snap Lines. This setting aligns the control you are dragging with other controls on the report design surface. When you drag the control around, snap lines appear when it is aligned with other controls or with the edges of the report, and when you drop it, it snaps into place in perfect alignment.

Snap to Grid. This setting aligns the control you are dragging with grid lines on the report design surface. When you drop the control, it snaps into place in alignment with the nearest grid mark. To place your controls freely on the report design surface, turn this setting off.

Select Mode. In Select mode, when you click items on the report designer surface, you select them. Use this mode for editing, data binding and styling in the Designer tab. An arrow cursor appears in the Select mode.

Pan Mode. Use the Pan mode to make navigation easier. In this mode, you cannot select, edit, or delete a control from the design surface. A hand cursor appears in Pan mode and you can navigate through your report by pressing the left mouse button and dragging the report to the desired position.
Zoom Bar | The Zoom bar below the report design surface where the slider thumb is set to 100% by default. The slider allows you to zoom in and out of the report designer surface. Using this slider you can magnify the layout from 50% to 400%.
Report Menu provides access to common reporting operations.
File > Save | Opens the Save dialog.
File > Save As | Opens the Save As dialog to save the newly created report.
File > Export
 Opens the Export dialog.
Server > Edit Shared Data Sources | Opens the Server Shared Data Sources dialog where you can add, edit or remove shared data sources of the report.
Server > Edit Shared Data Sets | Opens the Server Shared Data Sets dialog where you can add, edit or remove shared data sets of the report.
Report > Report Parameters | Opens the Report dialog to the Parameters page where you can manage, add and delete parameters.
Report > Embedded Images | Opens the Report dialog to the Images page, where you can select images to embed in a report. Once you add images to the collection, they appear in the Report Explorer under the Embedded Images node.
Report > Convert to Master Report (RDL Reports only) Converts an RDL report to a Master Report.
It disappears from the Report menu when a master report is applied to the report through Set Master Report.
Report > Report Properties | Opens the Report dialog to the General page where you can set report properties such as the author, description, page header and footer properties, and grid spacing.
Report > Stylesheet Editor | Opens the New Style - Stylesheet Editor dialog where you can manage styles of the report.
Report > Set Master Report (RDL Reports only) | Opens the Open dialog to select a Master Report (RDLX-master file format) to apply to the current project.

Report > View

  • Designer
  • Script
  • Preview
 Opens the Designer, Script, or Preview tab.
Report > Page Header (RDL Reports only) | Toggles the report Page Header on or off.
Report > Page Footer (RDL Reports only) | Toggles the report Page Footer on or off.
Toolbar comprises of buttons and dropdown lists which offer functions for a number of commonly used commands.
Text Decoration | This group of the buttons includes: Style Names, Font Names, Font Sizes, Bold, Italic, Underline, ForeColor, BackColor.
Text Alignment | This group of the buttons includes: Align Left, Align Center, Align Right, Align Justify.
Layout Editing | This group of the buttons includes: Zoom Out, Zoom In, Zoom.
Control Alignment | This group of the buttons includes: Align to Grid, Align Lefts, Align Rights, Align Tops, Align Middles, Align Bottoms.
Control Resizing | This group of the buttons includes: Make same width, Make same height, Make same size, Size to Grid.
Control Spacing | This group of the buttons includes: Make horizontal spacing equal, Increase horizontal spacing, Decrease horizontal spacing, Remove horizontal spacing, Make vertical spacing equal, Increase vertical spacing, Decrease vertical spacing, Remove vertical spacing.
Z-order Alignment | This group of the buttons includes: Bring to Front, Send to Back.
RichTextBox Commands | This group of the buttons includes: Bullets, Indent, Outdent.
Report Explorer gives you a visual overview of the report elements in the form of a tree view where each node represents a report element.
Report Explorer
  • Document Outline
    • Each report page (or the body for RDL reports)
      • Each control on the page, for example:
        • BandedList
        • Table
  • Data Sources
    • DataSource (right-click to add a data source; you can have more than one)
      • DataSet (right-click the DataSource to add a data set)
        • Fields (drag onto the report or onto a data region)
      • Another DataSet (you can have more than one)
  • Parameters (right-click to open a dialog and add a parameter)
  • EmbeddedImages (right-click to browse for an image to add)
  • CommonValues (drag onto the report to display the value in a textbox)
Toolbox displays the list of controls available for the report.
RDL Reports The RDL Reports Toolbox comprises of the following items:
  • FormattedText
  • Image
  • Line
  • List
  • Map
  • Shape
  • Sparkline
  • Subreport
  • Table
  • TableOfContents
  • Tablix
  • TextBox
Page Reports The Page Reports Toolbox comprises of the following items:
  • BandedList
  • Barcode
  • Bullet
  • Calendar
  • Chart
  • Checkbox
  • Container
  • FormattedText
  • Image
  • Line
  • List
  • Map
  • OverflowPlaceHolder
  • Shape
  • Sparkline
  • Table
  • TableOfContents
  • Tablix
  • TextBox
Section Reports The Section Reports Toolbox comprises of the following items:
  • Label
  • TextBox
  • CheckBox
  • RichTextBox
  • Shape
  • Picture
  • Line
  • PageBreak
  • Barcode
  • SubReport
  • Chart
  • ReportInfo
  • CrossSectionLine
  • CrossSectionBox
Properties Window gives access to the properties of any page, section, data region, control or the report itself.
Properties Window | Select a property to reveal a description at the bottom of the window. By default, this window is placed to the right of the report design area.
Layers List window displays a list of layers in the report. Layers is a named group of controls. Layers are supported in Page Report and Rdl Report types only.
Layers List Window You can lock or unlock, add or remove, show or hide these groups of controls. When you create a new report, a Default Layer is automatically added to it.

This feature is useful where you use the scanned copy of the form to trace that you can place on one Layer and you want use it to print.
Report Library window gives access to the report parts that you can reuse in other reports.
Library Window Report parts are groups of controls (with data and settings) in a report that you can reuse in other reports.

You can also use report parts from a report that is hosted on an instance of ActiveReports Server. For example, you can use Chart and Tablix data regions from Report1, and a Table data region from Report2 to create a new report.

See Also
Create a Report in the ClickOnce End User Designer
Modify a Report Using the ClickOnce End User Designer


Working with Tables

Working with Tables
ActiveReports 11 Server Designer User Guide > Working with Tables

This section covers the basics of working with tables in ActiveReports Server.

Table Overview
Provides information on the table layout and its functionality.
Table Data
Explains what data types are best used in a table report item.
Table Filtering
Learn to filter data for the table report item and to add parameters.
Table Grouping
Discover table grouping options and best practices for report creation.
Table Formatting
Learn about various options for table formatting.
Resizing, Moving, and Deleting Tables
Learn to resize, delete, or move a table to a different location on the report.
Changing Table Styles
Find out about table styling options.
See Also
Working with Text and Numbers
Working with Charts
Create a Drill-Down Report

Getting Started

Report Concepts

Reference

Drill Down and Drill Through


Table Overview

Table Overview
ActiveReports 11 Server Designer User Guide > Working with Tables > Table Overview

When you add a table to a report, table adorners appear around it, allowing you to perform actions like the following:

Table Filtering

Table Grouping

Table Formatting

See Also
Changing Table Styles
Table Data
Create a Drill-Down Report

Reference

Drill Down and Drill Through


Table Data

Table Data
ActiveReports 11 Server Designer User Guide > Working with Tables > Table Data

A table has three regions: Table Header and Footer, Grouping Header and Footer and Details. Each region has specific behavior with each type of data. You can control whether to display Table Header, Details, and Table Footer rows on the Table Design Tools tab.

Control whether to display Group Header and Footer rows using the table adorners. See Adding a Group Header and Footer for more information.

When you place an attribute in the Details row, a static label appears automatically in the same column of the Table Header row. When you delete an attribute from the Details row, the corresponding static label remains in the Table Header row, so you must remove it manually.

Attributes in the Details row cause the row to repeat as many times as there are details. You can suppress the Details section for a summary report.

Aggregate attributes in Group Header or Footer rows summarize the data for the entire group. In Table Header or Footer rows, they summarize the data for the entire table.

Table Data Types

Icon | Data Type | Description
Numeric Attribute | A numeric attribute that you can place in the Details row, the Group Header row, or the Group Footer row. Selecting a numeric field enables the Design tab toolbar's Number section.
Text Attribute | A text attribute that you can place in the Details row, the Group Header row, or the Group Footer row.
Boolean Attribute | An attribute with one of two values, True or False, that you can place in the Details row, the Group Header row, or the Group Footer row.
Date Attribute | A date attribute that you can place in the Details row, the Group Header row, or the Group Footer row.
Aggregate Attribute

An attribute that summarizes your data in some way.

  • Avg displays an average of all the values in that level.
  • Max displays the maximum value encountered in that level.
  • Min displays the minimum value encountered in that level.
  • Total displays a total of all the values in that level.
  • First displays the earliest date encountered in that level for date attributes.
  • Last displays the latest date encountered in that level for date attributes.

You can place these in any row, including the Table Header row and the Table Footer row.
N/A | Custom literal | You can add static text to a table cell by clicking inside the cell.
See Also
Working with Tables
Table Grouping


Table Filtering

Table Filtering
ActiveReports 11 Server Designer User Guide > Working with Tables > Table Filtering

Filtering is used to limit the data shown in a table. You can filter data by attributes or entities within the entity used to create the table. You can add one or more attributes to filter the data using the adorners.

You can group filters or make reports interactive by adding parameters linked to the filters. For more information, see the Table Filtering topics below:

  • Adding Table Filters
  • Grouping Table Filters
  • Making Interactive Table Filters
  • Removing Table Filters
See Also
Filters and Parameters
Chart Filtering

Designer Tutorials

Working with Parameters
Working with Tables


Adding Table Filters

Adding Table Filters
ActiveReports 11 Server Designer User Guide > Working with Tables > Table Filtering > Adding Table Filters
Show All
Hide All

You can add filters to limit the amount of data displayed in your table using the Filter adorner. You can also group them or make them interactive with parameters.

To add a table filter

  1. Click the table to reveal the table adorners, and click the expansion arrow to the right of the Filter adorner to expand the Filter workspace.
  2. Click the Add Criterion icon to add an attribute by which you can filter the data.
  3. Drop down the default attributes and double-click one one to add it to the list of filters.
  4. The default comparison operator is equal to. To select a different comparison operator, click the drop-down arrow to the right. A different set of comparison operators are available depending on the data type of the attribute.

    Available Comparison Operators

    Operator Name | Description
    equal to | Displays only data that is the same as the specified value.
    not equal to | Displays only data that is not the same as the specified value.
    begins with | Displays only data that begins with the specified letter.
    in list | Displays only data that has a value in the specified list of values.
    greater than | Displays only data that has a value higher than the specified value.
    greater than or equal to | Displays only data that has a value higher than or the same as the specified value.
    less than | Displays only data that has a value lower than the specified value.
    less than or equal to | Displays only data that has a value lower than or the same as the specified value.
    from... to | Displays only data that has a value that falls between the two specified values.
  5. To enter a value with which to compare data, type one in the (unspecified) text box, or drop down the list of values to the right and double-click to select one.
    Tip: Select (null) to find null values. For example, if you are looking for living people, you would want a "date of death" attribute to be (null). You can use (blank) to find values such as descriptions that were left blank.
  6. To allow the user to select values for the filter, select Prompt.

    See Making Interactive Table Filters and Working with Parameters for more information on this option.
See Also
Grouping Table Filters
Making Interactive Table Filters
Removing Table Filters
Working with Parameters

Reference

Table Filtering


Grouping Table Filters

Grouping Table Filters
ActiveReports 11 Server Designer User Guide > Working with Tables > Table Filtering > Grouping Table Filters

If a table has more than one filter, you can select how to group the filters:

  • Filter All of filters the data with all of the filter criteria in the list (so that "and" is used between each filter).
  • Filter Any of filters the data with at least one of the filter criteria in the list (so that "or" is used between each filter).
  • Filter Add Group adds a new group in which multiple criteria can be added.
  • Filter Add Criterion adds a new criterion, the same as clicking the green plus sign.
  • Filter None presents all of the data with no filtering.

So, if a table (for example, one based on the Album entity) has two criteria, Genre and Media Type, and you use the default Filter All of, then the data must meet both criteria to be included in the table.

You can also nest table filters in groups to control how they are applied.

To nest filters in groups

  1. Click the arrow next to All of, and select Add Group. A new group of criteria appears, indented from the other criteria.
  2. Drag any criterion that you have created into the new filter group, or click the Add criterion button to add a new one. The criteria appear indented to the level of the filter group.
  3. Once you have added criteria to the group, you can change how the filter is applied by dropping down the All of menu and changing it to Any of, etc.
See Also
Adding Table Filters
Making Interactive Table Filters
Removing Table Filters
Table Grouping

Reference

Table Filtering


Making Interactive Table Filters

Making Interactive Table Filters
ActiveReports 11 Server Designer User Guide > Working with Tables > Table Filtering > Making Interactive Table Filters

You can allow consumers of your reports to interact with them by giving them control of parameter values. To do this, you set a filter criterion value to Prompt.

To make an interactive table filter (parameter)

  1. In the expanded table filter workspace, next to the criterion that you want to use as a report parameter, drop down the comparison value and select Prompt.
  2. In the Specify Prompt dialog that appears, you can enter text to prompt consumers of the report to select a value. The name of the attribute is the prompt text by default.
  3. Although you can use the default and allow users to select any values from the attribute, you can optionally change it to allow values from this list, and add valid values to use with more user-friendly labels.
  4. If you leave the with default value unspecified, the user is prompted to select a value when they preview the report. Otherwise, the report runs without requesting a value, but the user can still change the criteria by clicking the Parameters button on the Preview toolbar.
  5. If you do not want to require a value for the parameter, drop down the required list and select allow null, allow blank, or allow null or blank.
  6. When you have finished, click OK to save the changes, or click Remove this prompt to remove the parameter from the report.
See Also
Setting a Parameter in the Preview
Working with Parameters

Reference

Filters and Parameters
Table Filtering
Chart Filtering


Removing Table Filters

Removing Table Filters
ActiveReports 11 Server Designer User Guide > Working with Tables > Table Filtering > Removing Table Filters

You can remove table filters, filter groups, and parameter prompts.

To remove a table filter

  1. Expand the filter workspace to reveal all of the filter criteria.
  2. Click the red X next to the criterion that you want to remove.

To remove a filter group

If you do not want to remove the criteria within the filter group, you can first drag them out of the group. Otherwise, all criteria within the group are removed along with the group.

  1. In the expanded filter workspace, next to the filter group that you want to remove, drop down the All of list.
  2. Select Remove. The filter group and all its criteria are removed.

To remove a parameter

You can remove parameters without removing their associated filter criteria. If you remove the criterion, the parameter is automatically removed along with it.

  1. In the expanded filter workspace, click Prompt to reopen the Specify Prompt dialog.
  2. In the Specify Prompt dialog, click Remove this prompt.

See Also
Adding Table Filters
Working with Tables

Reference

Table Filtering
Filters and Parameters


Table Grouping

Table Grouping
ActiveReports 11 Server Designer User Guide > Working with Tables > Table Grouping

Grouping is used to organize data in a table. You can group data by attributes or entities within the entity used to create the table. By default, table data is grouped by the entity you drag onto the report to create the table.

You can see which attribute groups the data by clicking the table so that the adorner menu appears.

If a table has more than one group (see Reordering Groups), the table data is grouped as an inclusive tree. So, if a table (for example, one based on the Customer entity) has three groups, Country, State, and City, then the table data is grouped first by country, then by state, then by city.

The default grouping does not display a header row, but for added groups, the group value is displayed by default at the beginning of each new instance of the data group in a group header row. To change it, click with (or without) a header row and select the setting that you want. To display group subtotals, add a group footer row. For more information, see the Table Grouping topics below:

  • Changing the Default Grouping
  • Adding a New Group
  • Deleting a Group
  • Reordering Groups
  • Adding a Group Header and Footer
  • Collapsing a Group (drill down reports)
  • Sorting Data
See Also
Table Data
Table Formatting
Working with Tables
Working with Text and Numbers
Create a Drill-Down Report


Changing the Default Grouping

Changing the Default Grouping
ActiveReports 11 Server Designer User Guide > Working with Tables > Table Grouping > Changing the Default Grouping

By default, a table is grouped on the entity that was dragged onto the report to create the table. To change how the data in the table is grouped, first change the default grouping.

To change the default grouping

  1. Click the table to reveal the adorners.
  2. Next to the current grouping entity (e.g. Group on Album), click the drop-down arrow icon to display a list of other entities and attributes within the table entity.

    Note: Any attributes that you cannot select for the table data grouping are excluded from the list.
  3. From the list, double-click an attribute or entity to select it. The Group on label changes to the selected name.
See Also
Table Grouping
Adding a New Group
Sorting Data


Adding a New Group

Adding a New Group
ActiveReports 11 Server Designer User Guide > Working with Tables > Table Grouping > Adding a New Group

You can add one or more groups to a table. Select an attribute from the list of attributes of the entity used to make the table.

To add a new group

  1. Click the table to reveal the adorners.
  2. Below the default group, click Add a group. A list tree appears with all of the entities and attributes by which you can group your table. The top level of the list is the same as the top grouping you already have in place.
  3. In the list that appears, double-click an attribute to add it as a new group below the original group.

Alternate Method

Another way to add a new group to a table is to drag an attribute from the Attribute Tree (or an entity from the Entity Tree) to the Group area of the adorner. A solid blue line appears above or below the current grouping section where the group will be added when you drop the attribute.

See Also
Changing the Default Grouping
Reordering Groups
Deleting a Group


Deleting a Group

Deleting a Group
ActiveReports 11 Server Designer User Guide > Working with Tables > Table Grouping > Deleting a Group

If your table has more than one group, you can delete a group. There must, however, always be at least one group in each table, so if you only have one group, the Delete button is disabled.

To delete a group

  1. Click the table to reveal the adorners.
  2. Click the expand button to the right of the group that you want to delete.
  3. In the upper right corner of the expanded menu, click the Remove Group button.
See Also
Table Grouping
Adding a New Group
Reordering Groups


Reordering Groups

Reordering Groups
ActiveReports 11 Server Designer User Guide > Working with Tables > Table Grouping > Reordering Groups

You can change the order of groups by moving the attributes up or down in the grouping area.

To reorder groups

  1. Click the table to reveal the adorners.
  2. In the Group section, click the expand button next to the group that you want to move. The properties for the section appear.
  3. Near the upper right corner of the expanded menu, up or down arrow buttons are enabled depending on whether there are additional groups above or below the selected group. Click the up arrow to move the selected group above the preceding group, or click the down arrow to move it below the following group.
  4. The group moves in the direction of the arrow within the Group section.

Alternate Method

  1. Using the grab handle to the left of the group, drag an attribute upwards or downwards within the Group area.
  2. A red X icon appears when you drag the attribute onto an area where you cannot drop it, but a bold blue line appears when you drag it onto a valid drop area.
See Also
Table Grouping
Adding a New Group
Changing the Default Grouping


Adding a Group Header and Footer

Adding a Group Header and Footer
ActiveReports 11 Server Designer User Guide > Working with Tables > Table Grouping > Adding a Group Header and Footer

Group header and footer rows are not displayed by default for the default grouping, although when you add groups, the table header row is turned on for the new groups. You can toggle these rows on and off in the adorner menu.

To add a group header and footer

  1. Click the table to reveal the adorners.
  2. In the Group section to which you want to add a header and footer, click the expand button. The section expands to reveal the menu.
  3. In the expanded menu, click the drop-down arrow button next to without header or without footer.
  4. Select with header or with footer. The section is added to the table with data automatically appearing formatted in bold.
See Also
Table Grouping
Table Data
Adding a New Group


Collapsing a Group

Collapsing a Group
ActiveReports 11 Server Designer User Guide > Working with Tables > Table Grouping > Collapsing a Group

By default, table groups display as expanded. You can collapse a group by changing the expanded property in the table group adorner to collapsible.

Important: To use the collapsible property, the group must have a header row, and must have a second group below it to hold the detail data.

To collapse a group

  1. Click the table to reveal the adorners.
  2. In the Group section, click the expand button next to the group that you want to collapse. The properties for the section appear.
  3. Change without a header row to with a header row.
  4. Click Add a group and select the data to show when the user expands the group header. The expanded property becomes clickable.
  5. When you mouse over the expanded property, a drop-down arrow appears to the right. Click the arrow and select collapsible.

When you view the report, the collapsible group's rows display with a plus sign icon to the left of them. Click the icon to expand the group and show any associated details.

See Also
Create a Drill-Down Report

Reference

Drill Down and Drill Through


Sorting Data

Sorting Data
ActiveReports 11 Server Designer User Guide > Working with Tables > Table Grouping > Sorting Data

Another way of organizing data in a table is sorting. By default, report data in a table is not sorted. Note that the sorting in a table is applied to a group. This means that the sorting is performed in the data group where the sorting has been defined.

To sort data

  1. Click the table to reveal the adorners.
  2. In the Group section that you want to sort, click the expand button. The section expands to reveal the menu.
  3. In the expanded menu to the right of the Group, click the drop-down arrow button next to Sort on and select the attribute by which to sort the data. The with A on top option appears below, indicating that the default sort order is ascending.
  4. You can change the sort order to descending by selecting with Z on top, or select without order to remove the sorting.
See Also
Working with Tables
Table Grouping
Table Data


Table Formatting

Table Formatting
ActiveReports 11 Server Designer User Guide > Working with Tables > Table Formatting

You can format tables using adorners that give access to row and column menus. Some types of table formatting also have drag-and-drop functions.

Table Row Menu

The center arrow of the row adorner reveals the row menu where you can toggle visibility of header, detail, and footer rows, and add or delete rows. The arrow above it adds a row above the selected row, and the arrow below adds a row below.

Table Column Menu

The center arrow of the column adorner reveals the column menu, where you can add, delete, and move columns. The arrow to the left adds a column to the left of the selected column, and the arrow to the right adds a column to the right.

Here are more ways in which you can format tables:

  • Adding a Table Row
  • Deleting a Table Row
  • Adding a Table Footer
  • Removing a Table Header
  • Adding a Table Column
  • Deleting a Table Column
  • Resizing, Moving, and Deleting Tables
See Also
Working with Tables
Table Grouping
Changing Table Styles


Adding a Table Row

Adding a Table Row
ActiveReports 11 Server Designer User Guide > Working with Tables > Table Formatting > Adding a Table Row

You can add rows to your table for additional data or labels.

To add a table row

  1. Click a table to reveal the adorners.
  2. Hold your pointer to the left of any row to reveal the row adorner.
  3. Click the arrow button in the center to reveal the row menu.

  4. Select Add Row Above or Add Row Below to add a new row in the indicated position. The newly added row is of the same type as the selected row.

Alternate method

  1. You can also add a row above by clicking the up arrow button in the row adorner.
  2. You can add a row below by clicking the down arrow.
See Also
Working with Tables
Deleting a Table Row
Adding a Table Footer


Deleting a Table Row

Deleting a Table Row
ActiveReports 11 Server Designer User Guide > Working with Tables > Table Formatting > Deleting a Table Row

You can delete rows from your tables using the row adorner.

To delete a table row

  1. Click the table to reveal the adorners.
  2. Hold your pointer to the left of the row you want to delete to reveal the row adorner.
  3. Click the arrow button in the center to reveal the row menu.
  4. Select Delete Row. The row is removed from the table.
See Also
Working with Tables
Adding a Table Row
Adding a Table Footer


Adding a Table Footer

Adding a Table Footer
ActiveReports 11 Server Designer User Guide > Working with Tables > Table Formatting > Adding a Table Footer

By default, tables have a header row, but no footer row. You can add a footer row using the row adorner.

To add a table footer

  1. Click the table to reveal the adorners.
  2. Hold your pointer to the left of any row to reveal the row adorner.
  3. Click the arrow button in the center to reveal the row menu.
  4. Select Toggle Table Footer. The table footer row is added to the table.
  5. To remove the table footer row, select Toggle Table Footer again.

You can turn the header and detail rows on or off using the Toggle Table Header and Toggle Table Details menu items. If you put a summary field in a footer row, you can turn off the details to create a summary report.

Note: You can also add a table header and a table footer by selecting them in the Table Design Tools Tab.
See Also
Working with Tables
Adding a Table Row
Deleting a Table Row
Removing a Table Header
Adding a Group Header and Footer


Removing a Table Header

Removing a Table Header
ActiveReports 11 Server Designer User Guide > Working with Tables > Table Formatting > Removing a Table Header

By default, tables have a header row, but no footer row. You can remove the header row using the row adorner.

To remove a table header

  1. Click the table to reveal the adorners.
  2. Hold your pointer to the left of any row to reveal the row adorner.
  3. Click the arrow button in the center to reveal the row menu.
  4. Select Toggle Table Header. The table header row is removed from the table.
  5. To re-add the table header row, select Toggle Table Header again.

You can turn the footer and detail rows on or off using the Toggle Table Footer and Toggle Table Details menu items. If you put a summary field in a footer row, you can turn off the details to show a summary report.

Note: You can also add or remove a table header or table footer by toggling them in the Table Design Tools Toolbar.
See Also
Working with Tables
Adding a Table Row
Adding a Table Footer
Adding a Group Header and Footer


Adding a Table Column

Adding a Table Column
ActiveReports 11 Server Designer User Guide > Working with Tables > Table Formatting > Adding a Table Column

By default, a number of attributes chosen by the administrator are included in the table. You may add to these default attributes as you choose.

To add a column

  1. Click the table to reveal the adorners.
  2. Point to the top of any column to reveal the column adorner.
  3. Click the arrow button in the center to reveal the column menu.
  4. Select Add Column Left or Add Column Right. A new column appears in the selected location with the same formatting as the original column.

Alternate method

  1. You can also add a column to the left by clicking the left arrow button in the column adorner.
  2. You can add a column to the right by clicking the right arrow.
See Also
Working with Tables
Table Formatting
Adding a Table Row
Deleting a Table Column


Deleting a Table Column

Deleting a Table Column
ActiveReports 11 Server Designer User Guide > Working with Tables > Table Formatting > Deleting a Table Column

By default, a number of attributes chosen by the administrator are included in the table. You may remove these default attributes as you choose.

To delete a column

  1. Click the table to reveal the adorners.
  2. Point to the top of any column to reveal the column adorner.
  3. Click the arrow button in the center to reveal the column menu.
  4. Select Delete Column. The selected column is removed from the table.
See Also
Working with Tables
Table Formatting
Deleting a Table Row
Adding a Table Column


Resizing, Moving, and Deleting Tables

Resizing, Moving, and Deleting Tables
ActiveReports 11 Server Designer User Guide > Working with Tables > Resizing, Moving, and Deleting Tables

Show All
Hide All

By default, a table is placed with its top left corner in the spot on the report surface where you drop the entity, the table columns are all the same width, and the table rows are all the same height. The size of the table is based on the width of all the columns and the height of all the rows. You can change the size of the table or the individual columns or rows, and move or delete the entire table.

To resize a table

  1. Click the table to reveal the adorners.
  2. Click and drag the adorner at the bottom right corner of the table to change both the height and the width of the table. Arrows appear along with labels indicating the new height and width as you drag the adorner. All of the rows are the same height and all of the columns are the same width.
  3. Click and drag the adorner at the top right corner of the table to change only the width of the table. A horizontal arrow appears along with a label indicating the new width as you drag the adorner. All of the columns are the same width.
  4. Click and drag the adorner at the bottom left corner of the table to change only the height of the table. A vertical arrow appears along with a label indicating the new height as you drag the adorner. All of the rows are the same height.
  5. Click the vertical line between columns to reveal the individual column resizer arrows, then drag left or right to change the width of the column to the left of the vertical line. A horizontal arrow appears along with a label indicating the new width of the column. The table width changes to accommodate the new column width, and the other columns keep their original width.
  6. Click the horizontal line between rows to reveal the individual row resizer arrows, then drag up or down to change the height of the row above the horizontal line. A vertical arrow appears along with a label indicating the new height of the row. The table height changes to accommodate the new row height, and the other rows keep their original height.

To move a table

  1. Click the table to reveal the adorners.
  2. Mouse over the thumb at the top left corner to reveal the four-way arrow.
  3. Click and drag the thumb with the four-way arrow to move the table and drop it on any location on the report design surface.

To delete a table

  1. Click the table to reveal the adorners.
  2. Mouse over the thumb at the top left corner to reveal the four-way arrow.
  3. Click and release the thumb with the four-way arrow to select the entire table. The selection border appears all the way around the table.
  4. On your keyboard, press the Delete key. The table is removed.
See Also
Working with Tables
Table Formatting


Changing Table Styles

Changing Table Styles
ActiveReports 11 Server Designer User Guide > Working with Tables > Changing Table Styles

You can change the style of your table on the Table Design Tools tab, and you can change the color scheme for your entire report, including the table, on the Report tab.

To change table styles

  1. Click the table to reveal the Table Design Tools tab in the toolbar.
  2. Select the Table Design Tools tab, and in the Style section, select the style you want to use.

  3. The table shades and borders change to reflect the selected style. For information on Table Header, Details and Footer rows, see Adding a Table Footer.

To change report color schemes

  1. In the toolbar, select the Report tab.

  2. In the Theme section, select the color scheme you want to apply to the entire report.
See Also
Working with Tables
Table Overview
Table Formatting


Working with Text and Numbers

Working with Text and Numbers
ActiveReports 11 Server Designer User Guide > Working with Text and Numbers

There are various contexts in which you work with text in ActiveReports Server: it can be the Textbox report item, the text in a table cell, or text within a chart (legend text, axis label text, or chart header).

Working with Textboxes
Learn about the basics of working with the Textbox report item.
Modifying Text in a Table
Learn about text formatting in tables.
Modifying Text in a Chart
Learn about text formatting in charts.
Formatting Numbers in Charts and Tables
Learn about standard and custom number formatting in charts and tables.
See Also
Working with Tables
Working with Charts
Working with Images


Working with Textboxes

Working with Textboxes
ActiveReports 11 Server Designer User Guide > Working with Text and Numbers > Working with Textboxes

A textbox is a report item that contains text. The text appearance contributes to the overall presentation of a report, so we give you control over text properties such as font, size, style and effects in the Design toolbar. Besides formatting, you can also resize, move, or delete textboxes. Now you can also display report information such as page numbering, the report name, report execution time, or even parameter values in a textbox.

  • Adding a Textbox
  • Formatting Text
  • Resizing, Moving, and Deleting Textboxes
  • Adding Report Info and Parameters
See Also
Working with Text and Numbers
Working with Tables
Working with Charts
Working with Images


Adding a Textbox

Adding a Textbox
ActiveReports 11 Server Designer User Guide > Working with Text and Numbers > Working with Textboxes > Adding a Textbox

You can add a textbox to a report by means of the Report Toolbar.

To add a textbox

  1. Above the toolbar, select the Report tab.
  2. In the Report toolbar, double-click the Textbox control to place it at the top left of the report, or drag and drop it anywhere on the report design surface. The textbox is situated with its top left corner in the spot where you drop it.
  3. Double-click inside the textbox to enter your own text in place of the default "textbox."

To change the appearance of the text, see Formatting Text.

See Also
Working with Text and Numbers
Working with Textboxes
Working with Tables


Formatting Text

Formatting Text
ActiveReports 11 Server Designer User Guide > Working with Text and Numbers > Working with Textboxes > Formatting Text

You can apply standard text formatting using the Design tab toolbar. To modify the font face, you must change the theme of the report. See Themes for more information.

To format text

  1. Select the textbox that you want to format.
  2. On the Design tab toolbar, use the buttons in the Font and Text & Color sections to format the text.
  3. To modify the text, double-click inside the textbox. The cursor appears and you can delete or modify existing text and enter new text.
Note: The textbox grows vertically, so any text that is cut off in the textbox at design time does show up in the preview and in any exports or rendering.
See Also
Resizing, Moving, and Deleting Textboxes
Working with Text and Numbers


Resizing, Moving, and Deleting Textboxes

Resizing, Moving, and Deleting Textboxes
ActiveReports 11 Server Designer User Guide > Working with Text and Numbers > Working with Textboxes > Resizing, Moving, and Deleting Textboxes

Show All
Hide All

By default, a textbox is placed with its top left corner in the spot on the report surface where you drop it, or if you double-click to add a textbox, it is placed at the top left corner of the report design surface. You can resize, move, or delete the textbox after it is placed on the report.

Note: The textbox grows vertically, so any text that appears cut off in the textbox at design time does show up in the preview and in any exports or rendering.

To resize a textbox

  1. Click the textbox to reveal the selection box with grab handles.
  2. Click and drag any corner grab handle of the textbox to change both the height and the width of the textbox. Arrows appear along with labels indicating the new height and width as you drag the grab handle.
  3. Click and drag the edge grab handle at the center of the left or right edge of the textbox to change only the width of the textbox. A horizontal arrow appears along with a label indicating the new width as you drag the grab handle.
  4. Click and drag the edge grab handle at the center of the top or bottom edge of the textbox to change only the height of the textbox. A vertical arrow appears along with a label indicating the new height as you drag the grab handle.

To move a textbox

  1. Click the textbox to reveal the selection box.
  2. Mouse over a flat edge of the selection box that does not contain any grab handles. The four-way arrow pointer appears.
  3. Click and drag the selection box with the four-way arrow to move the textbox and drop it onto a new location on the report design surface.

To delete a textbox

  1. Click the textbox to reveal the selection box.
  2. On your keyboard, press the Delete key. The textbox is removed.
See Also
Working with Text and Numbers
Working with Textboxes
Working with Tables


Adding Report Info and Parameters

Adding Report Info and Parameters
ActiveReports 11 Server Designer User Guide > Working with Text and Numbers > Working with Textboxes > Adding Report Info and Parameters

Show All
Hide All

When you add a textbox to your report, you can display information about the report in it using Report Info and Parameter inserts.

To add parameters to a textbox

  1. Click inside the textbox as if to type in it. In the Report toolbar, the Parameter button is enabled.
  2. Click the Parameter button. A list of parameters for the report drops down.
  3. Select the parameter that you want to display on the report. A purple box with a question mark and the parameter name appears. When you click outside the textbox, the purple box disappears. At run time, the value of the parameter displays.

    Tip: You can add more than one Parameter or Report Info value in the same textbox, and add text around these values.

To add report info to a textbox

  1. Click inside the textbox as if to type in it. In the Report toolbar, the Report Info button is enabled.
  2. Click the Report Info button. A list of report info values for the report drops down.
  3. Select the value that you want to display on the report. A purple box with an ampersand and the report info value appears.

    Tip: You can add more than one Report Info value in the same textbox, and add text around these values as is done automatically in Page n of m.
See Also
Add Page Numbering
Display the Report Name
Display the Parameter Value


Modifying Text in a Table

Modifying Text in a Table
ActiveReports 11 Server Designer User Guide > Working with Text and Numbers > Modifying Text in a Table

When working with a table report item, you can enter text in a table cell as a static label. To learn more about tables, see the topics in Working with Tables. You can apply standard text formatting by using the Design tab toolbar. To modify the font face, you must change the theme of the report. See Themes for more information.

To format text

  1. Click inside the cell in the table that you want to format to select it.
  2. On the Design tab toolbar, use the buttons in the Font and Text & Color sections to format the text. For more information on the function of each button, see Design Tab.
  3. To enter static text, double-click inside the table cell. The cursor appears and you can delete or modify existing text and enter new text.
Note: The table cells grow vertically, so any text that is wider than the cell shows up in the preview and in any exports or rendering.
See Also
Working with Text and Numbers
Working with Tables

Reference

Design Tab


Modifying Text in a Chart

Modifying Text in a Chart
ActiveReports 11 Server Designer User Guide > Working with Text and Numbers > Modifying Text in a Chart

When working with a chart report item, there are several places to work with text:

  • Axis and Scale Labels Formatting
  • Title Formatting
  • Legend Display Formatting
See Also
Chart Formatting
Working with Charts
Working with Text and Numbers


Formatting Numbers in Charts and Tables

Formatting Numbers in Charts and Tables
ActiveReports 11 Server Designer User Guide > Working with Text and Numbers > Formatting Numbers in Charts and Tables
Show All
Hide All

When working with charts and tables, you can control the formatting of dates and numbers.

With charts, you can additionally control the minimum, maximum, and steps in the scale, and whether to use a logarithmic scale. For more information, please see Axis and Scale Labels Formatting.

To format numbers in a chart or table

  1. Click to select the numbers that you want to format. The Format section of the Design toolbar is enabled.
  2. In the Design toolbar, you can click Increase Decimal or Decrease Decimal to change the number of zeros shown after the decimal point.
  3. Drop down the box at the top of the Format section of the toolbar to select from common numeric formats (or common date formats if your value is a date), or select Other to create a custom format.

Custom formats that you may find useful

Use this format string | To display this number | This way
0,000,000.00 | 1234.56 | 0,001,234.56
#,###,###.00 | 1234.56 | 1,234.56
#, | 100,000 | 100
???.??? | 1234.56 12.34 .123 | (decimal points aligned)
Use this format string | To display this date part | This way
M | month | January 12
MM | month | 01-12
MMM | month | Jan-Dec
MMMM | month | January-December
d | day | 1-31
dd | day | 01-31
ddd | day | Sun-Sat
dddd | day | Sunday-Saturday
yy | year | 00-99
yyyy | year | 1900-9999


Working with Charts

Working with Charts
ActiveReports 11 Server Designer User Guide > Working with Charts

This topic explains the options you can control when working with charts in ActiveReports Server.

Chart Overview
Provides basic information on the chart layout and its functionality.
Chart Types
Learn about the variety of included chart types and decide which one can present your data to be most useful.
Chart Data
Explains what data types you can link to the chart report item.
Chart Filtering
Learn to filter data for the chart report item and to add parameters.
Chart Formatting
Learn about various options for chart formatting.
Chart Styling
Find out how to apply different styles to a chart.
See Also
Working with Tables

Reference

Chart Design Tools Tab


Chart Overview

Chart Overview
ActiveReports 11 Server Designer User Guide > Working with Charts > Chart Overview

When you select a chart on the report design surface, adorners appear around the edges of the chart. The adorners allow you to control the data that is included in the chart and how it is displayed.

Note: ActiveReports Server displays a red X icon when you attempt a drag and drop activity that is not supported.

Each adorner allows you to control a specific type of data, and the grab handles allow you to resize or move the chart.

Data Fields Area
Displays data fields that serve as data points for the chart. You can drag attributes and drop them onto this area to add data points, or select an already-added data point and hit the Delete key on your keyboard to delete it.
Filters Area
Apply filters to your data to control how much of it is displayed. Use the drop-down arrow to select whether to display data with, with any of, with none of, with not all of, or none. Use the expansion arrows to open the filter area where you can drag and drop attributes to use for filtering. Once you have added an attribute by which to filter, you can select an operator to use for comparing it: equals, not equal to, greater than, greater than or equal to, less than, less than or equal to, or from... to. Based on your choice of operator, one or two text boxes appear to the right where you can enter a value or values against which to compare the filter attribute. To delete a filter, select it and press the Delete key on your keyboard.
Categories Area
Displays categories that serve as measures for the category axis. You can drag entities and attributes and drop them onto this area to add categories, or click the expansion arrows for an already-added category and click the Delete icon (a red X) to delete it. You can drag and drop the grab handle on the left of a category to reorganize multiple categories.
Series Area
Displays data set series that serve as chart points. You can drag entities and attributes and drop them onto this area to add a series, or click the expansion arrows for an already-added series and click the Delete icon (a red X) to delete it. You can drag and drop the grab handle on the left of a series to reorganize multiple series.
Grab Handles
The grab handles on each corner of the chart allow you to move, resize, or select it.
  • The top left grab handle, sometimes called a thumb, allows you to move the chart using drag and drop, or click it to select the entire chart.
  • The bottom right grab handle resizes both the height and width.
  • The top right grab handle resizes the width.
  • The bottom left grab handle resizes the height.
See Also
Working with Charts
Chart Data
Chart Formatting
Chart Styling

Reference

Chart Design Tools Tab


Chart Types

Chart Types
ActiveReports 11 Server Designer User Guide > Working with Charts > Chart Types

The Chart report item supports several chart types. When you first drag an entity onto the report, you can select the general type that shows your particular data in the most informative way: Bar, Column, Bubble, Line, or Scatter.

Once you have selected a basic chart type, you can access more chart types on the Chart Design Tools tab.

You can click the Chart Type button on the toolbar to reveal all of the more detailed chart types.

Column Charts

Column charts present each series as a vertical column, and group the columns by category. The y-axis values determine the heights of the columns, while the x-axis displays the category labels.

  • Simple
  • Stacked
  • 100% Stacked

Bar Charts

Bar charts present each series as a horizontal bar, and group the bars by category. The x-axis values determine the lengths of the bars, while the y-axis displays the category labels.

  • Simple
  • Stacked
  • 100% Stacked

Bubble Charts

Bubble charts present each series as a bubble. The Bubble chart is an XY chart in which bubbles represent data points. The first Y value is used to plot the bubble along the Y axis, and the second Y value is used to set the size of the bubble.

Line and Scatter Charts

Line charts present each series as a point, and connect the points with a line. The y-axis values determine the heights of the points, while the x-axis displays the category labels.

  • Simple

Scatter charts present each series as a point. The y-axis values determine the heights of the points, while the x-axis displays the category labels.

  • Simple
  • Scatter-Lines
See Also
Working with Charts
Chart Formatting
Chart Data
Chart Styling

Reference

Chart Design Tools Tab


Switching From One Chart Type To Another

Switching From One Chart Type To Another
ActiveReports 11 Server Designer User Guide > Working with Charts > Chart Types > Switching From One Chart Type To Another

In addition to the basic chart types displayed when you initially drag an entity onto the report design surface, each chart type has several sub-types from which to choose.

Warning: When switching from one chart type to another (for example, from Column to Bubble and then back to Column), you may lose data points if you switch using the Chart Type option. To avoid this situation, use Undo in the Report toolbar.

To change the chart type

  1. Double-click a chart to select it. The chart adorners disappear and the selection border appears around the perimeter of the chart.
  2. Go to the Chart Design Tools Toolbar.
  3. In the Tools section of the Chart Design Tools Toolbar, click Chart Type.
  4. In the Chart Types dialog that appears, click to select the chart sub-type that you want to use. The chart type is applied to the chart.

See Also
Chart Types
Chart Types

Reference

Chart Design Tools Tab


Chart Data

Chart Data
ActiveReports 11 Server Designer User Guide > Working with Charts > Chart Data

A chart uses data in each of the following areas: Data Fields, Categories and Series. Each one deals with chart data in a different way, therefore only certain data types can be used in each area.

Chart Data Types

Icon | Data Type | Description
 | Numerical Attribute | Can be used in data fields, categories and series.
 | Text Attribute | Can be used in categories and series.
 | Boolean Attribute | Can be used in categories and series.
 | Date Attribute | Can be used in categories and series.
 | Aggregate Numeric Attribute | Can only be used in data fields.
 | Date Variation Attribute | Cannot be used in charts.
Tip: If you drag an attribute or entity onto a chart area where it is not supported, a red X icon appears.

For information on using data in each of these areas, see the following topics:

  • Managing Data Fields
  • Managing Categories
  • Managing Series
See Also
Working with Charts
Chart Overview
Chart Formatting


Managing Data Fields

Managing Data Fields
ActiveReports 11 Server Designer User Guide > Working with Charts > Chart Data > Managing Data Fields

Show All
Hide All

Data fields serve as data points on the chart, determining the width of a bar, the height of a column, or the location and size of a bubble. The default data field is the one you originally drag and drop onto the report design surface to create the chart. You can add more data fields and delete them as necessary.

A single data field shows a single chart element (bar, column, bubble, line, or point) for each category in the chart. Multiple data fields show a chart element for each data field in each category, with the name of each data field displayed in the legend.

For example, adding a Max Total attribute to an Invoice bar chart adds a bar showing the maximum total above each Sum Total bar. The legend displays different colors or patterns to differentiate the Sum Total and Max Total bars.

To add a new data field

  1. Click the chart to reveal the adorners.
  2. Drag an attribute from the Attribute tree and drop it on the data fields area above the chart.
  3. The new field is displayed alongside the existing data field, along the Y Axis of the chart, and is added to the title and legend.

To delete a data field

  1. Click the chart to reveal the adorners.
  2. In the Data Fields area, click to select the data field that you want to delete. The selected field is highlighted.
  3. On your keyboard, click the Delete key. The data field is removed from the Data Fields area, the field name is removed from the title, and the data points are removed from the Y axis.
See Also
Working with Charts
Chart Data
Managing Categories
Managing Series


Managing Categories

Managing Categories
ActiveReports 11 Server Designer User Guide > Working with Charts > Chart Data > Managing Categories

Show All
Hide All

Categories group your data and provide labels for your chart elements. Labels appear along the Y axis in a bar chart, or along the X axis in a column chart.

By default, each chart has one category that is the same as the original attribute you drag onto the report design surface to create the chart. You can add new categories, change the default category, change the order of categories, and delete categories.

Multiple categories are nested, and each data field is displayed within each category.

To change the default category

  1. Click the chart to reveal the adorners.
  2. Click the drop-down arrow icon next to the default Category Invoice below the chart. The Invoice entity appears with an arrow icon to its left.
  3. Click the arrow icon to the left of the Invoice entity to reveal the entities and attributes that you can use for a category grouping.
  4. Double-click the attribute or entity that you want to replace the existing category. When you preview the report, the new category grouping is displayed along the same axis as the original data field.

To add a new category

  1. Click the chart to reveal the adorners.
  2. Click Add a category below the chart. The Invoice entity appears with an arrow icon to its left.
  3. Click the arrow icon to reveal the entities and attributes that you can use for a category grouping.
  4. Double-click an attribute or entity to add it as a Category below the existing category. The new category grouping is displayed along the same axis as the original data field.
Note: Another way to add a category is to drag an attribute or entity from the Attribute Tree (or Entity Tree) and drop it onto the Categories area. A red X icon appears when you drag it over an area where you cannot drop the item, and a bold blue line appears where the category will be added when you drag it over an area where you can drop it.

To change the order of categories

If there is more than one category in the chart, you can change the order.

  1. Click the chart to reveal the adorners.
  2. Click the category that you want to move to expand the category work area.
  3. To the right of the category name, up or down arrow buttons are enabled depending on whether there are additional categories above or below the selected category. Click the up arrow to move the selected category above the preceding category, or click the down arrow to move it below the following category.
  4. Alternatively, you can click the grab handle to the left of the category that you want to move.
  5. The pointer changes to a four-way arrow, and you can drag the category up or down to the desired location. A red X icon appears when you drag it over a place where you cannot drop the category, and a bold blue line appears where the category will be inserted when you drag it over an area where you can drop it.

To delete a category

You can only delete a category if there is more than one in the chart.

  1. Click the chart to reveal the adorners.
  2. Click the expansion arrow to the right of the Category that you want to delete.
  3. In the expanded Category area that appears, click the red X icon on the right.
See Also
Working with Charts
Chart Data
Managing Data Fields
Managing Series


Managing Series

Managing Series
ActiveReports 11 Server Designer User Guide > Working with Charts > Chart Data > Managing Series

Show All
Hide All

A series groups data dynamically, so you can optionally use them to add more dimensions to your data. For example, if you add a Billing Country series to an Invoice chart, instead of a single bar for each invoice, you have a single bar for each invoice in each country. The chart legend displays a different color or pattern for each country.

By default, a chart has no series grouping. You can add one or more series, change the order of multiple series groups, and delete series groups.

To add a new series

  1. Click the chart to reveal the adorners.
  2. To the right of the chart, click Add a series. A list of entities and attributes that you can use for a series drops down.

  3. Double-click an attribute or entity to add it as a Series. The new series is displayed along the same axis as the original data field in different colors or patterns. The colors or patterns are detailed in the legend.

Note: Another way to add a series is to drag an attribute or entity from the Attribute Tree (or Entity Tree) and drop it onto the Series area. A red X icon appears when you drag it over an area where you cannot drop the item, and a bold blue line appears where the series will be added when you drag it over an area where you can drop it.

Any attribute or entity that cannot be used as a series cannot be dropped and only displays a red X icon.

To delete a series

A series is an additional dimension to the chart, so you can delete a series even if a chart has just one added series.

  1. Click the chart to reveal the adorners.
  2. Click the expansion arrow to the right of the series that you want to delete.
  3. In the expanded Series area that appears, click the Delete icon to the right. The series is removed.

To change the order of multiple series

If there is more than one series in the chart, you can change the order.

  1. Click the chart to reveal the adorners.
  2. Click the expansion arrow of the series that you want to move.
  3. To the right of the series name, up or down arrow buttons are enabled depending on whether there are additional series above or below the selected series. Click the up arrow to move the selected series above the preceding series, or click the down arrow to move it below the following series.

  4. Alternatively, you can click the grab handle to the left of the series that you want to move.
  5. The pointer changes to a four-way arrow, and you can drag the series up or down to the desired location. A red X icon appears when you drag it over a place where you cannot drop the series, and a bold blue line appears where the series will be inserted when you drag it over an area where you can drop it.
See Also
Working with Charts
Chart Data
Managing Categories
Managing Data Fields


Chart Filtering

Chart Filtering
ActiveReports 11 Server Designer User Guide > Working with Charts > Chart Filtering

Filtering is used to limit the data shown in a chart. You can filter data by attributes or entities within the entity used to create the chart. You can add one or more attributes to filter the data by using the chart adorners.

You can group filters or make reports interactive by adding parameters linked to the filters. For more information, see the Chart Filtering topics below:

  • Adding Chart Filters
  • Grouping Chart Filters
  • Making Interactive Chart Filters
  • Removing Chart Filters
See Also
Filters and Parameters

Designer Tutorials

Working with Parameters
Working with Charts


Adding Chart Filters

Adding Chart Filters
ActiveReports 11 Server Designer User Guide > Working with Charts > Chart Filtering > Adding Chart Filters
Show All
Hide All

You can add filters to limit the amount of data displayed in your chart using the Filter adorner. You can also group them or make them interactive with parameters.

To add a chart filter

  1. Click the chart to reveal the chart adorners.
  2. Click the Add criterion icon to add a filter.

  3. Drop down the default attributes and select one to add it to the list of filters.
  4. The default comparison operator is equal to. To select a different comparison operator, click the drop-down arrow to the right. A different set of comparison operators are available depending on the data type of the attribute.

    Available Comparison Operators

    Operator Name | Description
    equal to | Displays only data that is the same as the specified value.
    not equal to | Displays only data that is not the same as the specified value.
    begins with | Displays only data that begins with the specified letter.
    after | Displays only data that has a value higher than the specified value.
    before | Displays only data that has a value lower than the specified value.
    between | Displays only data that has a value that falls between the two specified values.
    in this list | Displays only data that has a value in the specified list of values.
  5. To enter a value with which to compare data, type one in the (unspecified) text box, or drop down the list of values to the right and double-click to select one.
    Tip: Select (null) to find null values. For example, if you are looking for living people, you would want a "date of death" attribute to be (null). You can use (blank) to find values such as descriptions that were left blank.
  6. To allow the user to select values for the filter, select Prompt.

    See Making Interactive Chart Filtersand Working with Parameters for more information on this option.
See Also
Grouping Chart Filters
Making Interactive Chart Filters
Removing Chart Filters

Reference

Chart Filtering


Grouping Chart Filters

Grouping Chart Filters
ActiveReports 11 Server Designer User Guide > Working with Charts > Chart Filtering > Grouping Chart Filters

If a chart has more than one filter, you can select how to group the filters:

  • Filter All of filters the data with all of the filter criteria in the list (so that "and" is used between each filter).
  • Filter Any of filters the data with at least one of the filter criteria in the list (so that "or" is used between each filter).
  • Filter Add Group adds a new group in which multiple criteria can be added.
  • Filter Add Criterion adds a new criterion, the same as clicking the green plus sign.
  • Filter None presents all of the data with no filtering.

So, if a chart (for example, one based on the Invoice entity) has two criteria, Billing Country and Invoice Date, and you use the default Filter All of, then the data must meet both criteria to be included in the table.

You can also nest chart filters in groups to control how they are applied.

To nest filters in groups

  1. Click the arrow next to All of, and select Add Group. A new group of criteria appears, indented from the other criteria.
  2. Drag any criterion that you have created into the new filter group, or click the Add criterion button to add a new one. The criteria appear indented to the level of the filter group.

  3. Once you have added criteria to the group, you can change how the filter is applied by dropping down the All of menu and changing it to Any of, etc.
See Also
Adding Chart Filters
Removing Chart Filters
Making Interactive Chart Filters

Reference

Chart Filtering
Filters and Parameters


Making Interactive Chart Filters

Making Interactive Chart Filters
ActiveReports 11 Server Designer User Guide > Working with Charts > Chart Filtering > Making Interactive Chart Filters

You can allow consumers of your reports to interact with them by giving them control of parameter values. To do this, you set a filter criterion value to Prompt.

To make an interactive chart filter (parameter)

  1. In the expanded chart filter workspace, next to the filter that you want to use as a report parameter, drop down the comparison value and select Prompt.
  2. In the Specify Prompt dialog that appears, you can enter text to prompt consumers of the report to select a value. The name of the attribute is the prompt text by default.
  3. Although you can use the default and allow users to select any values from the attribute, you can optionally change it to allow values from this list, and add valid values to use with more user-friendly labels.
  4. If you leave the with default value unspecified, the user is prompted to select a value when they preview the report. Otherwise, the report runs without requesting a value, but the user can still change the criteria by clicking the Parameters button on the Preview toolbar.
  5. If you do not want to require a value for the parameter, drop down the required list and select allow null, allow blank, or allow null or blank.
  6. When you have finished, click OK to save the changes, or click Remove this prompt to remove the parameter from the report.
See Also
Working with Parameters

Reference

Chart Filtering
Filters and Parameters


Removing Chart Filters

Removing Chart Filters
ActiveReports 11 Server Designer User Guide > Working with Charts > Chart Filtering > Removing Chart Filters

You can remove chart filters, filter groups, and parameters, but parameters are removed separately from their corresponding filters.

To remove a chart filter

  1. Expand the filter workspace to reveal all of the filter criteria.
  2. Click the red X next to the criterion that you want to remove.

To remove a filter group

If you do not want to remove the criteria within the filter group, you can first drag them out of the group. Otherwise, all criteria within the group are removed along with the group.

  1. In the expanded filter workspace, next to the filter group that you want to remove, drop down the All of list.
  2. Select Remove. The filter group and all its criteria are removed.

To remove a parameter

You can remove parameters without removing their associated filter criteria. If you remove the criterion, the parameter is automatically removed along with it.

  1. In the expanded filter workspace, click Prompt to reopen the Specify Prompt dialog.
  2. In the Specify Prompt dialog, click Remove this prompt.

See Also
Working with Parameters
Adding Chart Filters

Reference

Chart Filtering
Filters and Parameters


Chart Formatting

Chart Formatting
ActiveReports 11 Server Designer User Guide > Working with Charts > Chart Formatting

Chart formatting is performed by means of the chart adorners and the Chart Design Tools toolbar. You can apply the following formatting to a chart:

  • Axis and Scale Labels Formatting
  • Title Formatting
  • Legend Display Formatting
  • Resizing, Moving and Deleting Charts
See Also
Working with Charts
Chart Types
Chart Styling


Axis and Scale Labels Formatting

Axis and Scale Labels Formatting
ActiveReports 11 Server Designer User Guide > Working with Charts > Chart Formatting > Axis and Scale Labels Formatting

You can format the X and Y Axis labels by means of the Design Toolbar.

To format axis label text

  1. Double-click the label text area of the X or Y axis. The label area border is outlined and you can select and edit the text.

  2. On the Design toolbar, use the buttons in the Font and Text & Color sections to change the size, color, bold and italic settings, and alignment. For more information, see Design Tab.
  3. For the Y axis, if you do not want the label text to render horizontally above the Y axis, on the Chart Design Toolbar, in the Axis section, click the Vertical Title button.

Note: You cannot change the font family of the label text. The font family is set on the Report Tab in the Themes section.
Options in the toolbar that do not apply to the label text are disabled.

To format axis scale labels

  1. Click in the scale label area of the X or Y axis. A border appears around the scale label area and markers appear along the axis.

  2. On the Chart Design Tools toolbar, in the Axis section, you can change to Angled Labels.
  3. On the Design toolbar, use the buttons in the Font and Text & Color sections to change the size, color, bold and italic settings, and alignment.
  4. For numeric values, you can also use the tools in the Format section to change the numeric formatting. For more information, see Design Tab.

To change the scale of numeric axis labels

  1. Click in the scale label area of a numeric axis. A border appears around the scale label area and markers appear along the axis.

  2. Above the toolbar, select the Chart Design Tools Tab. The Chart Design Tools toolbar appears, and as long as the numeric axis scale labels are selected, the Axis buttons are enabled.
  3. Use the buttons in the Axis section to change the minimum, maximum, and step values of the markings, and whether to use a logarithmic scale. For more information, see Chart Design Tools Tab.
See Also
Working with Charts
Chart Formatting
Chart Styling

Reference

Design Tab

Getting Started

Themes


Title Formatting

Title Formatting
ActiveReports 11 Server Designer User Guide > Working with Charts > Chart Formatting > Title Formatting

Each chart has a default title that is automatically created from the beginning. New values added to the chart are also automatically reflected in the title. You can modify the title, but once you have modified the text, updated values are no longer automatically reflected in the title.

To format title text

  1. Double-click the title text area of the chart. The title area border is outlined and you can select and edit the text.

  2. On the Design toolbar, use the buttons in the Font and Text & Color sections to change the size, color, bold and italic settings, and alignment. For more information, see Design Tab.

Note: You cannot change the font family of the title text. The font family is set on the Report Tab in the Themes section.
Options in the toolbar that do not apply to the title text are disabled.

See Also
Working with Charts
Chart Formatting
Chart Styling

Getting Started

Themes

Reference

Design Tab


Legend Display Formatting

Legend Display Formatting
ActiveReports 11 Server Designer User Guide > Working with Charts > Chart Formatting > Legend Display Formatting

By default, if you display the chart legend, it is displayed in the right upper position of the chart layout. However, you can modify the chart legend position and layout, and format the legend text.

To add a chart legend

  1. With the chart selected, select the Chart Design Tools tab.
  2. In the Legend section of the toolbar, click the Show Legend button. A legend appears in the chart area.

To change the legend position and layout

  1. Double-click the legend area. Icons for different legend positions and layouts appear in each corner and on each edge of the chart.
  2. Click the icon that displays the position and layout that you want to use. When you are finished, you can click elsewhere in the chart or on the design surface of the report to hide the icons.

To access more legend styles

  1. Click once inside the legend text area. The legend text area border is outlined.

  2. Above the toolbar, select the Chart Design Tools Tab. The Chart Design Tools toolbar appears, and as long as the legend text is selected, the Legend buttons are enabled.
  3. Use the buttons in the Legend section of the toolbar to select whether legend items are displayed, and if so, whether they are in columns, rows, or table format.
  4. In the Style section of the toolbar, the buttons allow you to select other styles within the selected report theme. For more information, see Chart Design Tools Tab. For more information on changing the report theme, see Themes.

To format the legend text

  1. Click once inside the legend text area. The legend text area border is outlined and you can format the text. (You cannot edit this text, as it changes dynamically based on the data.)

  2. On the Design toolbar, use the buttons in the Font and Text & Color sections to change the size, color, bold and italic settings, and alignment. For more information, see Design Tab.

Note: You cannot change the font family of the legend text. The font family is set on the Report Tab in the Themes section.
Options in the toolbar that do not apply to the legend text are disabled.

See Also
Working with Charts
Chart Formatting
Chart Styling


Resizing, Moving and Deleting Charts

Resizing, Moving and Deleting Charts
ActiveReports 11 Server Designer User Guide > Working with Charts > Chart Formatting > Resizing, Moving and Deleting Charts
Show All
Hide All

By default, a chart is placed with its top left corner in the spot on the report surface where you drop the original entity that you drag onto the report design surface. You can resize, move, or delete the chart after it is placed on the report.

To resize a chart

  1. Click the chart to reveal the adorners. Each corner of the chart has a grab handle.
  2. Click and drag the grab handle at the bottom right corner to change both the height and the width of the chart. Arrows appear along with labels indicating the new height and width as you drag the grab handle.

  3. Click and drag the grab handle at the right edge to change only the width of the chart. A horizontal arrow appears along with a label indicating the new width as you drag the grab handle.

  4. Click and drag the grab handle at the bottom left edge to change only the height of the chart. A vertical arrow appears along with a label indicating the new height as you drag the grab handle.

To move a chart

  1. Click the chart to reveal the adorners.
  2. Mouse over the thumb at the top left corner to reveal the four-way arrow pointer.

  3. Click and drag the thumb with the four-way arrow to move the chart and drop it on any location on the report design surface.

To delete a chart

  1. Click the chart to reveal the adorners.
  2. Mouse over the thumb at the top left corner to reveal the four-way arrow.

  3. Click and release the thumb with the four-way arrow to select the entire chart. The selection border appears all the way around the chart.

  4. On your keyboard, press the Delete key. The chart is removed.
See Also
Working with Charts
Chart Formatting
Chart Styling


Chart Styling

Chart Styling
ActiveReports 11 Server Designer User Guide > Working with Charts > Chart Styling

In the Chart Design Tools toolbar, you can change the style of the chart and perform actions such as selecting predefined chart styles, swapping data on the axes, and toggling the legend on and off.

To change chart styles

  1. Click a chart to reveal the adorners.
  2. Above the toolbar, select the Chart Design Tools Tab. The Chart Design Tools toolbar appears.
  3. From the Styles section of the toolbar, select the chart style that you want to use.

To swap chart data axes

  1. Click a chart to select it.
  2. Above the toolbar, select the Chart Design Tools Tab. The Chart Design Tools toolbar appears.
  3. In the Legend section of the toolbar, click Swap Data. The chart data switches the axis on which it is displayed.

To toggle the chart legend

  1. Click a chart to select it.
  2. Above the toolbar, select the Chart Design Tools Tab. The Chart Design Tools toolbar appears.
  3. In the Legend section of the toolbar, click Show Legend. The legend element of the chart is hidden.

  4. To display the chart legend, click Show Legend again, or in the Report toolbar at the top right, click the Undo button.
See Also
Working with Charts
Chart Formatting
Chart Types


Working with Images

Working with Images
ActiveReports 11 Server Designer User Guide > Working with Images

An image is a static report item that you can add using the Report tab. This section explains how to work with images in ActiveReports Server.

Adding an Image
Learn how to add an image to your report.
Formatting an Image
Discover image formatting options.
See Also
Working with Charts

Getting Started

Report Concepts
Getting Started


Adding an Image

Adding an Image
ActiveReports 11 Server Designer User Guide > Working with Images > Adding an Image

You can add an image report item using the Report Tab.

To add an image

  1. Above the toolbar, select the Report tab.

  2. In the Controls section of the the Report toolbar, click the Image button or drag it onto the report design surface. An image report item appears on the report and the Select file to upload by localhost dialog appears.
  3. Navigate to the image you want to display in the report item, select the image, and click Open. The dialog closes, the selected image appears in the image report item, and the report item automatically resizes to fit the image.

To change an image

  1. With the image report item selected, on the Image Design Tools toolbar, click Source.

  2. Using the Select file to upload dialog, select an image file from your local files and click Open. The image is displayed in the image report item.
  3. Format the image using the Image Design Tools Toolbar and the adorner.
See Also
Working with Images
Formatting an Image


Formatting an Image

Formatting an Image
ActiveReports 11 Server Designer User Guide > Working with Images > Formatting an Image

The Image Design Tools tab allows you to control the following options:

  • Resizing an Image
  • Formatting Image Borders
  • Deleting or Moving an Image
See Also
Working with Images
Adding an Image


Resizing an Image

Resizing an Image
ActiveReports 11 Server Designer User Guide > Working with Images > Formatting an Image > Resizing an Image

By default, an image is placed with its top left corner in the spot on the report surface where you drop it, or if you double-click to add an image, it is placed at the top left corner of the report design surface, and the image report item is the same size as the actual image. You can resize the image after it is placed on the report, and control how the image is sized in relation to the size of the report item.

To resize an image

  1. Click the image to reveal the selection box with grab handles.
    Tip: To move the image, click an edge of the selection box where there are no grab handles and drag it to the new location.

  2. Click and drag any corner grab handle of the image to change both the height and the width of the image. Arrows appear along with labels indicating the new height and width as you drag the grab handle.
    Note: By default, the image stretches to fit the report item.
  3. Click and drag the edge grab handle at the center of the left or right edge of the image to change only the width of the image. A horizontal arrow appears along with a label indicating the new width as you drag the grab handle.
  4. Click and drag the edge grab handle at the center of the top or bottom edge of the image to change only the height of the image. A vertical arrow appears along with a label indicating the new height as you drag the grab handle.

To change how the image size relates to the report item size

  1. Click the image report item to select it. The Image Design Tools tab appears to the right of the Page tab.
  2. Select the Image Design Tools tab. In the Image section of the Image Design Tools toolbar, select one of the sizing options:

    • Auto: The image report item grows or shrinks to match the original image size.
    • Fit: The original image stretches to match the height and width of the report item.
    • Proportional: The original image resizes with the aspect ratio preserved so that it matches either the height or width of the report item, leaving space below or to the right.
    • Clip: The original image is clipped to fit inside the image report item.
See Also
Working with Images
Formatting an Image
Formatting Image Borders


Formatting Image Borders

Formatting Image Borders
ActiveReports 11 Server Designer User Guide > Working with Images > Formatting an Image > Formatting Image Borders

You can change image border thickness and color using the Design toolbar.

To format image borders

  1. Select the image whose borders you want to format.
  2. On the Design toolbar, use the buttons in the Text & Color section to format the border.
  3. To modify the thickness of the border, click the Border Size button. The Border Size menu appears and you can select a thickness between 0.25 pt and 6 pt.
  4. To modify the color of the border, click the Select Color button. The Select Color menu appears and you can select a color.
    • Automatic: Selects the default color for the border based on your selected theme.
    • Theme colors: Offers a selection of colors from within your selected theme.
    • Standard colors: Offers a basic selection of standard colors.
    • More colors: Drops down a color picker.
  5. To modify the border style, click the Border Style button. The Border Style menu appears and you can select a style.
See Also
Working with Images
Formatting an Image


Deleting or Moving an Image

Deleting or Moving an Image
ActiveReports 11 Server Designer User Guide > Working with Images > Formatting an Image > Deleting or Moving an Image

You can always use Undo, but you may want to remove an image without undoing all of the changes you made after you added it. You can also move an image to another location on the report.

To delete an image

  1. Click the image to reveal the selection box.
  2. On your keyboard, press the Delete button. The image is removed.

To move an image

  1. Click the image to reveal the selection box.
  2. Hold the cursor over an edge of the image that is not a grab handle (somewhere between the corner grab handle and the center grab handle). The cursor becomes a four-way arrow.
  3. Click and drag the image and drop it in the new location. Snap lines show you when the image is aligned with other controls.
See Also
Working with Images
Adding an Image
Formatting an Image


Working with Parameters

Working with Parameters
ActiveReports 11 Server Designer User Guide > Working with Parameters

You can use parameters to filter the data displayed in reports, which allows you to control the report content and vary its presentation. When a parameterized report runs, it can prompt the user to select values, then retrieve the specific report data as filtered by these values instead of displaying all of the report data.

You can either prompt users for parameters so that they control the output, or supply the parameters behind the scenes.

To add a parameter to your report

All parameters begin with a filter on a table or chart. For more information, see Filters and Parameters, Table Filtering, and Chart Filtering.

  1. On the report, select the chart or table that contains the data that you want to filter with a parameter.
  2. At the right edge of the Filter adorner that appears below the report item, click the expansion arrow to expand the Filter adorner.
  3. Click the Add Criterion icon to add an attribute by which you can filter the data.
  4. Drop down the default attributes and double-click one to add it to the list of filters.
  5. Next to the criterion, drop down the comparison value (unspecified by default) and select Prompt.
  6. In the Specify Prompt dialog that appears, you can enter text to prompt consumers of the report to select a value. The name of the attribute is the prompt text by default.
  7. You can use the default and allow users to select any values from the attribute, or you can change it to allow values from this list, and add valid values to use with more user-friendly labels.
  8. If you leave the with default value unspecified, the user is prompted to select a value when they preview the report. Otherwise, the report runs without requesting a value, but the user can still change the criteria by clicking the Parameters button on the Preview toolbar.
  9. If you do not want to require a value for the parameter, drop down the required list and select allow null, allow blank, or allow null or blank.
  10. When you have finished, click OK to save the changes.

To delete a parameter

You can remove parameters without removing their associated filter criteria. If you remove the criterion, the parameter is automatically removed along with it.

  1. In the expanded filter workspace, click Prompt to reopen the Specify Prompt dialog.
  2. In the Specify Prompt dialog, click Remove this prompt. The parameter is removed, but the filter criterion remains intact.

See Also
Making Interactive Table Filters
Making Interactive Chart Filters

Getting Started

Report Concepts
Getting Started

Reference

Filters and Parameters


Setting a Parameter in the Preview

Setting a Parameter in the Preview
ActiveReports 11 Server Designer User Guide > Working with Parameters > Setting a Parameter in the Preview

Once you add a report parameter to a table or chart filter, people who preview the report see it differently depending on your settings.

If the default value is unspecified for the parameter

When the user previews the report, the Report Parameters pane displays, and they must first select a value for the parameter and click View Report before the report will run.

If you specify a default value for the parameter

When the user previews the report, the report runs immediately, filtered by the default value. To change the parameter value, they must click the Parameters button to display the Report Parameters pane.

If you are previewing a parameterized report

You can preview parameterized page reports, end-user-created reports, and section reports with SQL query parameters as well as Report Explorer parameters.

When the user previews a parameterized report, the Report Parameters pane displays, and they must first select a value for the parameter and click View Report before the report will run.

See Also
Working with Parameters

Reference

Chart Filtering
Table Filtering
Filters and Parameters


Scheduling Reports

Scheduling Reports
ActiveReports 11 Server Designer User Guide > Scheduling Reports

You can set a scheduled task to run a report and have the report server share it using Windows File Share, send it to e-mail recipients, or print it using a variety of options for customizing the scheduling process. You can also create a new schedule task based on the settings of an existing schedule task with the help of Copy task button.

The report runs at the time specified in the scheduled task. You can also choose to execute any scheduled task immediately using the Run once button placed on the top of the schedule. The server then sends a copy of the report to your e-mail list, file share location, or printer. You can set the report to run daily, weekly, or monthly. See Schedule Options for details.

Note: If a user changes the schedule template settings of a schedule on the Report portal, other settings of the schedule will remain unchanged provided the Delivery type option is same.

On the Report Portal, you can select a report and display related information to the right. On the Schedule tab, you can see any tasks that are scheduled for the selected report. To view details of a schedule for the selected report, click the scheduled task in the list.

When setting up a scheduled task for a parameterized report, you can specify report parameters in the schedule options. If you specify parameters in the schedule options, the specified parameter values filter the report data so that the report contains only the filtered data.

To add a scheduled task

  1. On the Report Portal, select a report.
  2. To the right of the selected report, go to the [image] Schedule tab and click Add Task.
  3. In the Task Details section that appears, specify the Schedule Options.
  4. Click Save.

To delete a scheduled task

  1. On the Report Portal, select the report with the scheduled task that you want to delete.
  2. On the Schedule tab to the right of the selected report, click the x button for the scheduled task that you want to delete.

  3. The scheduled task is removed from the list.

To copy a scheduled task

  1. On the Report Portal, select a report.
  2. To the right of the selected report, go to the [image] Schedule tab.
  3. Select the schedule you want to copy and click Copy task.
  4. In the Task Details section that appears, modify the Schedule Options.
  5. Click Save.

To rename a scheduled task

  1. On the Report Portal, select a report.
  2. To the right of the selected report, go to the [image] Schedule tab
  3. In the list of scheduled tasks, double-click a scheduled task.
  4. In the activated field, enter a new name for the scheduled task.

  5. Press Enter on your keyboard to save the name.

To run the scheduled task immediately

  1. On the Report Portal, select a report.
  2. To the right of the selected report, go to the [image] Schedule tab
  3. In the list of scheduled tasks, click the task that you want to execute immediately.
  4. Click the Run Once button. Your task will be executed.

The results of the execution of the most recent scheduled tasks are stored on the History tab. You can open non-expired reports in the History tab by clicking Open. When the time period specified in the Result Expires After setting expires, you can no longer open expired reports.

See Also
Schedule Options
Report History
Relative Dates


Schedule Options

Schedule Options
ActiveReports 11 Server Designer User Guide > Scheduling Reports > Schedule Options
Show All
Hide All

On the Report Portal, when you select a report, Info, Schedule, History, Revisions and Categories tabs appear to the right. On the Schedule tab, you can schedule a report to run by clicking Add Task. There are also a number of options that you can set.

Schedule Options Table

Option | Description
Choose Schedule | Select how often to run the task: Daily, Weekly, or Monthly.
Format Select the format in which to share the report.

Formats: Excel file (xls), Mht document (archived Web page), Image file, PDF document, Word document, or XML file (xml).
Delivery type

Select how to deliver the report: Windows File Share, Email, or Print. Below are more options that appear with these delivery types.

Note: The Format option is unavailable if the Delivery Type is set to 'Print'. Also note that you must have permissions to the specified printer.
Email Options
Email report to | Enter one or more e-mail addresses where the report is to be sent. Separate multiple e-mail addresses with commas.
Subject | Enter text to display in the subject line of the email. If you do not enter text, default text is used.
Body | Enter text to display in the body of the email. If you do not enter text, default text is used.
Delivery method | Select As Link or As Attachment to define how the report is sent to e-mail recipients.
Windows File Share Options
File name | Enter a name to use for the shared report file.
Add file extension | Select whether to add the appropriate file extension, for example, xls, to the file name.
Path | Enter the file path to which to save the shared report file.
User name | Enter a user name with access to the path where the shared report file is saved.
Password | Enter the password for the user to access the path where the shared report file is saved.
Overwrite | Select whether to Increment filename as newer versions are added, or to Overwrite the existing file if it exists. It is best to choose the latter if the report is large or runs frequently and you are concerned about running out of space.
Print options
Printer | Select the printer from the available printers added to the server.
Printer Options The following options are available. You can modify the following Printer Options only if an administrator has specified the Allow user to choose option in the Administrator Dashboard.
  • Color: Choose to print in Color or Gray scale.
  • Orientation: Select the page orientation as Portrait or Landscape.
  • Two sided: Specify printing as One-sided, Two-sided(Long edge), or Two-sided(Short edge).
  • Number of copies: Enter the number of copies to be printed.
  • Paper size: Select the page size from several available options such as Letter, Legal, Statement, A5, and so on.
  • Paper source: Select paper source as Auto, Multi-purpose Tray, Drawer 1, Drawer 2, or Paper Type Priority.
More options that apply to all delivery types
Created by | Displays the name of the person who initially created the schedule. This information is recorded automatically.
Modified by | Displays the name of the person who most recently modified the schedule. This information is recorded automatically.
Specify report parameters
(for parameterized reports only) 		This link only appears if the report you are scheduling has parameters. Click to open a dialog where you can specify parameters. The selected parameters filter the report data when the scheduled task executes. If the parameter is a date that allows any value, you can use the Relative Dates feature.

To specify report parameters

  1. In the Details section of the scheduled task, click Specify report parameters.
  2. In the dialog that appears, drop down the list of report parameter values and double-click to select one.

    Note: If a report parameter does not have a default value selected, you must enter a value for it to enable the Accept button.

  3. Click Accept.
See Also
Report History
Scheduling Reports
Working with Parameters
Relative Dates


Report History

Report History
ActiveReports 11 Server Designer User Guide > Scheduling Reports > Report History

Whenever a scheduled task is executed as per the assigned schedule or immediately (using the Run Once button), you can view the most recent results of your scheduled tasks on the History tab.

The name of each entry in the History list corresponds to a scheduled task that ran the report. The date and time of an entry indicates when a report was run.

The Status is marked as Accomplished when a scheduled task for printing a report is successfully sent to a printer, even if an actual printing task fails. Therefore, to confirm whether the actual printing task has completed successfully, the user needs to check the print queue or printer details on the server machine.

When the time period specified in the Result expires after setting expires, the open link is disabled and the report can no longer be opened.

To view a report in History

  1. Under the History tab, click an entry in the list.

    Selecting an entry opens the Details section that shows the report rendering format and the status of the scheduled task execution.

  2. Above the Details section, click Open to view the rendered report in a separate window.

Limitation: You can view only the last 20 results of a scheduled tasks history.

See Also
Schedule Options
Scheduling Reports


Report Versions

Report Versions
ActiveReports 11 Server Designer User Guide > Report Versions

You can maintain versions of a report to keep track of the modifications made to it and even revert to specific version of a report. These report versions appear as a list of revision items under the Revisions tab. ActiveReports Server Core always displays the latest version of the report in the Report Portal.

To access the Revisions tab, on the Report Portal, select the report and see the Revisions tab to the right along with Info, Schedule and History tabs. Each entry under this tab corresponds to a revision item in the selected report.

Elements of the Revisions Tab

Revisions tab consists of the following elements:

Elements | Description
Version Number | Displays the version number for a report. Version number is a unique auto-incrementing number assigned to each version of the report.
Date (mm/dd/yyyy) | Displays the date when the changes were made to the report.
Time (hh:mm) | Displays the time when the changes were made to the report.
Report Author | Displays the name of the author who modified the report and saved it.
Revision Comment | Displays the revision comment entered by the user while saving the report.
Preview Report | Displays the selected version of a report in the ActiveReports Server Viewer.
Open in Designer Command | Displays the selected version of a report in the Designer.

Elements of the Enter Comment Dialog

This dialog appears when a report is modified and saved in the Designer. These report modification are displayed and maintained in the Revisions tab. When you save a report, a comment dialog box prompts the users to leave revision comments about the report modifications.

The Enter Comments dialog box consists of the following elements:

Elements | Description
Revision Comment box | Allows the user to enter revision comments related to the changes made in the report. Adding a revision comment is optional.
OK | Completes the save operation and adds the revision comment to the list of revisions in the Revisions tab.
Cancel | Closes the dialog box without saving the report version.
Don't show this dialog again | Enables the user to hide the Enter Comment dialog box. See Show or Hide the Enter Comment dialog box for details.
See Also
Working with Report Versions


Working with Report Versions

Working with Report Versions
ActiveReports 11 Server Designer User Guide > Report Versions > Working with Report Versions

This topic explains how to set up report versions in a new or existing report and some other basic functions.

  • Create a Report Version for a New Report
  • Create a Report Version for an Existing Report
  • Retrieve a Previous Report Version
  • Show or Hide the Enter Comment dialog box

Create a Report Version for a New Report

  1. Create a new report in the ActiveReports Server Designer. See Creating Your First Report for more information on how to create a new report.
  2. In the File section of Design tab, click Save or Save As to save your report.
  3. In the Save Report dialog that appears, enter the Report Name and add a revision Comment about the report.

  4. Click OK to save the report. This creates the initial version of the report under the Revisions tab.

Go to Top

Create a Report Version for an Existing Report

  1. After you finish modifying a report, click Save or Save As button in the File section of the Design tab.
    Note: Clicking the Save As button opens the Save Report dialog, where you can change the Report Name and add a revision comment about your report.
  2. In the Enter Comment dialog, enter a revision comment related to the changes made in the report, and then click OK.

    The revision comment is saved and added to the list of items in the Revisions tab.

Go to Top

Retrieve a Previous Report Version

  1. On the Report Portal, select a report from the Report List.
  2. On the right side of the selected report, click the Revisions tab to view the report versions.
  3. On the Revisions tab, select any version of the report and click Open in Designer command to get that version.
    Note: You must have the Write permissions for the report to view the Open in Designer command in the Revisions tab.

Go to Top

Show or Hide the Enter Comment dialog box

  1. On the Report Portal, select a report and open it in Designer.
  2. On the Report tab, click Preferences.

  3. In the Configuration dialog box that appears, under the Show version comment dialog option, select Yes to show the Enter Comment dialog box or No to hide it.
  4. Click Close to save the preference setting.
    Note : Report versions are created in the Revisions tab on saving a report, even if the Enter Comment dialog box is hidden.
Go to Top
See Also
Report Versions


Report Categories

Report Categories
ActiveReports 11 Server Designer User Guide > Report Categories

ActiveReports Server provides the ability to create Personal Categories and sub-categories to help manage your reports. The purpose of this feature is to allow users to organize their reports into Personal Categories to make report navigation easier. You can create, edit, rename, move, delete, or create sub-categories within your Personal Category from the Report Portal. Other than Personal Categories, you can also access System Categories which are created by the Administrator from the Categories tab but you cannot assign these System Categories until the Administrator gives the permission to the End User. See Managing Roles for details on the permissions on System Categories and see Report Categories for a detailed description about system and personal categories in ActiveReports Server.

You can access the Categories tab from the Information tabs available on the right hand side of the Report Portal and Categories panel from the left hand side of the report list section of the Report Portal.

Elements of the Categories Tab

The Categories tab consists of the following elements:

Elements | Description
List of Categories

Displays a list of Personal and System Categories and sub-categories that you can assign to your reports. Personal Categories are created by the End User but System Categories can only be created by the Administrator from the Administration Dashboard. See Report Categories for further details.

Note: Permissions from the Administrator are required to assign report under System Categories. The System Categories are disabled and cannot be selected if the permission is not granted by the Administrator to access the System Categories. See Managing Roles for more information.
Apply Button | Assigns report to the selected category.

Elements of Categories Panel

The Categories panel appears on the left hand side of the report list section of the Report Portal. It includes both System and Personal Categories but System category names are highlighted in bold in the Categories panel of the Report Portal. You can manage your Personal Categories from the Categories panel using basic operations like Create, Edit and Delete. End-users can also move the location of Personal Categories or create sub-categories using the Add/Edit Category dialog box. See Working with Personal Categories for further details. Reports that are not assigned any categories are listed under the No category section.

Categories panel consists of the following elements:

Elements | Description
Create | Allows the End Users to create a new personal category using the Add/Edit Category dialog box.
Context Menu
Edit | Allows the End Users to change the name or location of the personal category using the Add/Edit Category dialog box. Caution: End Users can only edit personal cateogories that have been created by them.
Delete | Allows the End Users to delete their personal category.
See Also
Working with Personal Categories


Working with Personal Categories

Working with Personal Categories
ActiveReports 11 Server Designer User Guide > Report Categories > Working with Personal Categories

This topic explains how to create, edit, delete, move and assign categories from the Report Portal.

  • Create a New Personal Category
  • Edit a Personal Category
  • Delete a Personal Category
  • Assign a Single Report to Multiple Personal Categories
  • Change Personal Category of a Report

Create a New Personal Category

  1. On the Categories panel of the Report Portal, click Create to open the Add/Edit Category dialog box.
  2. In the Add/Edit Category dialog box, enter the new category Name and select a Location where you want to create a Personal category.
    Note: Personal category location can either be root (Parent node) or you can create a sub-category under any existing category.

  3. Click Add/Update to add the new Personal category to the list of existing categories.

Edit a Personal Category

  1. On the Categories panel of the Report Portal, hover the mouse over the Personal category that you want edit and then click the [image] button.
  2. Click Edit to open the Add/Edit Category dialog box.
  3. In Add/Edit Category dialog box, modify the Name or Location of the Personal category.
  4. Click Add/Update to update the Personal category.

Delete a Personal Category

  1. On the Categories panel of the Report Portal, hover the mouse over the Personal category that you want delete and then click [image] button.
  2. Select Delete to view the Delete Category dialog box.
  3. Click Delete. The Personal category is deleted and removed from the list of existing categories.

Assign a Single Report to Multiple Personal Categories

  1. On the Report Portal, select a report.
  2. Select the Categories tab from the Information tabs.

  3. In Categories tab, check the check box besides the Personal Categories to move your report into multiple Personal Categories.

    Note: Permissions from the Administrator are required to assign report under System Categories. The System Categories are disabled and cannot be selected if the permission is not granted by the Administrator to access the System Categories. See Managing Roles for more information.
  4. Click Apply to assign multiple categories to your report.

Change Personal Category of a Report

  1. On the Report Portal, select a report.
  2. Select the Categories to assign multiple categories to your report.
  3. In Categories tab, clear the check box for the assigned Personal category.
  4. In the Categories tab, check the check box for the new Personal category that you want to assign to your report.
  5. Click Apply to change the Personal category of the selected report.


Caching Reports

Caching Reports
ActiveReports 11 Server Designer User Guide > Caching Reports

You can specify caching settings for each report, thus shortening the time it takes to retrieve a particular report. The report cache settings are displayed under the Info tab to the right of the report.

To modify the report cache settings

  1. On the Report Portal, select a report.
  2. In the Caching section on the right, update the corresponding settings.

    • Allow caching: Select No to always run the report with the latest data. The default value is Yes.
    • Maximum cache age: Select the maximum time period in Minutes, Hours, or Days, to keep the report cached. After this time period expires, the report is removed from the cache. The default value is 1 Hour.
See Also
Scheduling Reports
Report History


How To

How To
ActiveReports 11 Server Designer User Guide > How To

This section provides quick answers to your questions about how to perform specific tasks with ActiveReports Server.

Add or Remove reports from My Favorites
This topic explains how to add or remove your reports from My Favorites.
Add Page Numbering
This topic explains how to quickly add page numbering to your reports.
Create a Semantic Report with Table
This topic explains how to create a basic tabular report.
Create a Semantic Report with Summary
This topic explains how to hide the details in a tabular report to show only group totals.
Create a Semantic Report with Chart
This topic explains how to create a basic chart report.
Toggle the Chart Legend
This topic explains how to show or hide the legend for a chart.
Publish Reports
This topic explains how to publish your reports and distribute them to users in different formats.
Create a Drill-Down Report
This topic walks you through the steps to create a drill-down report using Table grouping.
Create a Drill-Through Link
This topic walks you through the steps to create a drill-down report using Table grouping.
Display the Report Name
This topic shows you how to quickly display the report name in your report so that it updates automatically.
Display the Report Run Date
This topic explains how to quickly add the report run date to the report.
Display the Parameter Value
This topic shows you how to display the parameter value used for the report.
Concatenate Two Values in One Table Cell
This topic walks you through adding two attributes, first and last name, to a single textbox in a table, and editing static text.
Create a Report in the ClickOnce End User Designer
This topic walks you through adding a report in the ClickOnce End User Designer.
Modify a Report using the ClickOnce End User Designer
This topic explains how to modify and save a report from the ClickOnce End User Designer.
See Also
Getting Started

Getting Started

Report Concepts


Add or Remove reports from My Favorites

Add or Remove reports from My Favorites
ActiveReports 11 Server Designer User Guide > How To > Add or Remove reports from My Favorites

The favorites feature helps you to quickly access the reports without going through all the categories. You can add reports to (or remove reports from) My Favorites easily using [image] icon next to each report name. All the reports that are marked as Favorite are listed under the My Favorites section of the Report Portal.

To mark a report as Favorite

  1. In the Report list area of the Report Portal, click on the [image] icon next to the report.
  2. In the Categories and Search section, select My Favorites to access your favorite reports.

To remove a report from Favorites

  1. In the Report list area of the Report Portal, click on the [image] icon next to the report that is marked as favorite.
  2. Report is removed from the My Favorites section.
See Also
Report Portal
Mobile Report Portal


Add Page Numbering

Add Page Numbering
ActiveReports 11 Server Designer User Guide > How To > Add Page Numbering

You can add page numbering to a report using a textbox and the Report Info button.

To add page numbering to a report

  1. Click inside the textbox as if to type in it. In the Report toolbar, the Report Info button is enabled.
  2. Click the Report Info button. A list of report info values for the report drops down.
  3. Select Page n of m. Text and purple boxes with an ampersand and n (page number) and an ampersand and m (total pages) appears. You can change the text and remove &n or &m, or add other report info to the textbox.

See Also
Adding Report Info and Parameters


Create a Semantic Report with Table

Create a Semantic Report with Table
ActiveReports 11 Server Designer User Guide > How To > Create a Semantic Report with Table

A report with table is the simplest report that you can create with ActiveReports Server.

  1. On the ActiveReports Server Report Portal, click Create report.
  2. Select Semantic report and click OK.
  3. In the data model list that appears, click ActiveTunes (Sample) to create a report based on the sample data.
  4. From the Entity Tree to the left of the report design surface, drag the Invoice entity and drop it onto the report.
    Note: Drop the entity into the body of the report. If you try to drop the entity into the header area or the margins, a red X icon appears and the action is ignored.
  5. In the Select a Table box that appears, click Table. A table is created with three columns and header labels.
  6. If they are not already in view, click the table to reveal the adorners.
  7. To adjust the position of the table within the page, click the thumb at the top left corner and drag the table.
  8. To align header labels with data, click the detail row under the Invoice Date label, and in the Design tab Text & Color section, click the Text Align Left button.
  9. Click the header row Total label, and then in the toolbar, click the Text Align Right button.
  10. To add a title to the report, above the toolbar, select the Report tab, then click the Textbox control and drag it into the header section of the report.
  11. After resizing and positioning it, click inside the textbox and type Invoice List.
  12. To format the text in the textbox, select the Design tab and use the tools in the Font and Text & Color sections.
  13. Click Preview to view the completed report.
See Also
Working with Tables
Working with Text and Numbers

Reference

Table Design Tools Tab


Create a Semantic Report with Summary

Create a Semantic Report with Summary
ActiveReports 11 Server Designer User Guide > How To > Create a Semantic Report with Summary

A report with summary is as easy as hiding rows in a table with ActiveReports Server.

  1. On the ActiveReports Server Report Portal, click Create report.
  2. Select Semantic report and click OK.
  3. In the data model list that appears, click ActiveTunes (Sample) to create a report based on the sample data.
  4. From the Entity Tree to the left of the report design surface, drag the Invoice entity and drop it onto the report.
  5. In the Select a Table box that appears, click Table. A table is created with three columns and header labels.
  6. If they are not already in view, click the table to reveal the adorners.
  7. In the Group adorner, drop down the Group on field and expand Invoice, then Customer, and select Support Rep. Employee appears in the Group on field.
  8. In the Group work area, change the options to with a header row. Header rows for the group appear in the table.
    Note: If you preview the report now, there is a header row labeled with the employee name for each employee, followed by all of the employee's invoices before the next employee group begins.
  9. In the header row Total cell, click the icon that appears, expand Total, and select Sum Total. This displays the total of all invoices for the employee in the header row.
  10. Hold your pointer to the left of the detail row to reveal the row adorner and click the arrow button in the center to reveal the row menu.
  11. Select Toggle Table Details to hide the detail row. The detail row is removed from the table. This hides all of the invoice details when you view the report, displaying only the summary data. (You can bring it back at any time by clicking Toggle Table Details.)
  12. In the table header row, change the labels to reflect the data shown. Change the left column to Employee Name, delete the text from the center column, and set the alignment for the right column to the right so that it appears above the data.
  13. Click Preview to view the completed report.

If you want the details to be available to the user, you can instead Create a Drill-Down Report.

See Also
Working with Tables
Table Grouping
Collapsing a Group


Create a Semantic Report with Chart

Create a Semantic Report with Chart
ActiveReports 11 Server Designer User Guide > How To > Create a Semantic Report with Chart

It is very simple to create a report with chart using ActiveReports Server.

  1. On the ActiveReports Server Report Portal, click Create report.
  2. Select Semantic report and click OK.
  3. In the data model list that appears, click ActiveTunes (Sample) to create a report based on the sample data.
  4. From the Entity Tree to the left of the report design surface, drag the Invoice entity and drop it onto the report.
    Note: Drop the entity into the body of the report. If you try to drop the entity into the header area or the margins, a red X icon appears and the action is ignored.
  5. In the selection box that appears, under Select a Chart Type, click Bar. A bar chart is created with the Sum Total per Invoice.
  6. If they are not already in view, click the chart to reveal the adorners.
  7. To adjust the position of the chart within the page, click the thumb at the top left corner and drag the chart. For more information about resizing the chart, see Resizing, Moving and Deleting Charts.
  8. Since the chart at this point would show every invoice with no sorting, add a category and sorting to make the chart more manageable and more meaningful.
    1. In the Category adorner below the table, drop down the default Invoice value and expand Customer, then Support Rep, and select Full Name.
    2. Next to Sort on, drop down the (choose) box and expand Customer, then Support Rep, and select Full Name.
  9. To change the title of the chart, click inside the title box, select the existing text, Sum Total per Invoice, and type Total Sales by Employee.
  10. To change the Invoice axis label, click inside the label box, select the existing text, Invoice, and type Employee.
  11. To change the scale of the sales axis to start with zero, click the axis to select it. Three dots appear along the axis to indicate that it's selected.
  12. On the Chart Design Tools tab, in the Axis section, set the Min value to 0.
  13. Click Preview to view the completed report.
See Also
Chart Styling
Working with Charts
Toggle the Chart Legend

Reference

Chart Design Tools Tab


Toggle the Chart Legend

Toggle the Chart Legend
ActiveReports 11 Server Designer User Guide > How To > Toggle the Chart Legend

There are times when displaying a chart legend does not make sense, and other times when it is necessary. ActiveReports Server generally makes intelligent decisions about when to display it, but you can easily toggle it on or off for any chart.

To toggle the chart legend

  1. In the Report Portal, open a chart report.
  2. Click the chart to select it.
  3. On the Chart Design Tools tab, in the Legend section, click the Show Legend button. The legend toggles on or off. Click the button again to toggle it back to the original value.
  4. To change the style or position of the legend, see Legend Display Formatting for more information.
  5. Click Preview to view the completed report.
See Also
Working with Charts
Making Interactive Chart Filters
Create a Semantic Report with Chart

Reference

Chart Design Tools Tab


Publish Reports

Publish Reports
ActiveReports 11 Server Designer User Guide > How To > Publish Reports

You can publish reports by setting up schedules for when to run them. You can customize how the final report is presented to your users by selecting a format and whether to e-mail the reports as attachments or as links.

To publish a weekly report

You can publish on any schedule that you need. See Schedule Options for more information.

  1. On the ActiveReports Server Report Portal, select the name of the report that you want to publish, for example, Annual Sales Performance. Information about the selected report appears in tabs to the right.
  2. Select the Schedule tab, and click the Add Task command. Details that you can set for scheduling appear below.

  3. To change to weekly, next to Choose schedule, click the drop-down arrow and select Weekly.
  4. To customize how the report appears, next to Format, hover over PDF document, click the drop-down arrow that appears, and select a file format, for example, Mht document (archived Web page).
  5. Next to Email report to, enter all of the email addresses to which you want to send the report, separated by commas.
  6. To send a link to the report in the email, rather than an attachment, next to Delivery method, select As Link from the drop-down list. Your name automatically appears in the Created By and Modified By fields.
  7. Click Save. The schedule is saved as Schedule 1.
  8. To change the name of the schedule, click the text Schedule 1. The text becomes editable, and you can press the Enter key on your keyboard to save it.
See Also
Scheduling Reports
Schedule Options
Report History


Create a Drill-Down Report

Create a Drill-Down Report
ActiveReports 11 Server Designer User Guide > How To > Create a Drill-Down Report

You can set up table groups to collapse, so that users can drill down into the data they choose to view. In order to collapse a group, it must have a header and a nested group. When the report is initially displayed, the header rows display the groups with plus sign icons that you can click to display the detail data from the nested group.

To create a drill-down report

  1. From the Entity Tree, drag the Artist entity and drop it onto the report.
  2. In the Select a Table box that appears, click Table. A table is created with a single column and a Name header.
  3. If they are not already in view, click the table to reveal the adorners.
  4. Move your mouse to the adorner above the Name header and click the right arrow. This adds a new column to the right.
  5. In the detail row of the new column, click the field selector icon, and in the available fields that drop down, expand the Albums node and double-click Title. The header displays Title and the detail row shows the data for this field.
  6. In the Group adorner, the Artist group is without a header row by default. Click the drop-down arrow and select with a header row. (Without a header row, you cannot collapse the group.)
  7. When you mouse over the expanded property, a drop-down arrow appears to the right. Click the arrow and select collapsible.
  8. Below the Artist group, click Add a group. In the available fields that drop down, double-click Artist. (Without a second group, you cannot collapse the main group.)
  9. Open the new group and change with a header row to without a header row. This removes a redundant row from the report.
  10. Click in the detail row of the Name column, and press the Backspace key so that the artist name does not appear on every line when the details are expanded.

When you view the report, the collapsible group's header rows display with a plus sign icon to the left of them. Click the icon to expand the group and show any associated details.

See Also
Collapsing a Group

Reference

Drill Down and Drill Through


Create a Drill-Through Link

Create a Drill-Through Link
ActiveReports 11 Server Designer User Guide > How To > Create a Drill-Through Link

You can make a drill-through report by linking a table cell or a data point in a chart to another report with more detailed data.

Important: To make a meaningful drill-through report, link to a report that contains a parameter corresponding to the table cell or data point you want to link.

To create a drill-through chart

  1. Select the chart that you want to link to another report, and click the Design tab of the report designer.
  2. In the Design toolbar, click the Drilldown button.
  3. In the Drilldown - Chart dialog that appears, under Step 1, click to select the data point that you want to link to another report.
  4. Under Step 2, select Jump to a report and click <specify a report> to drop down a list of available reports. Select the report that you want to open when the user clicks the data point.
  5. A list of the parameters in the selected report appears. Select the value that corresponds to the selected data point.

To create a drill-through table

  1. Select the table cell that you want to link to another report, and click the Design tab of the report designer.
  2. In the Design toolbar, click the Drilldown button.
  3. In the Drilldown - Table dialog that appears, select Jump to a report and click <specify a report> to drop down a list of available reports. Select the report that you want to open when the user clicks the data point.
  4. A list of the parameters in the selected report appears. Select the value that corresponds to the selected table cell.

When you view the report, the pointer changes to a hand when you mouse over a drill-through link. Click the link to navigate to the linked report.

Note: To navigate back to the main report, in the viewer toolbar, click the Back button instead of the Previous button.

See Also

Reference

Drill Down and Drill Through
Filters and Parameters


Display the Report Name

Display the Report Name
ActiveReports 11 Server Designer User Guide > How To > Display the Report Name

You can dynamically display the report name in a textbox on your report using the Report Info button. If the report name is changed in the report list, this textbox automatically updates to display the new name.

To display the report name

  1. Click inside the textbox as if to type in it. In the Report toolbar, the Report Info button is enabled.
  2. Click the Report Info button. A list of report info values for the report drops down.
  3. Select Report Name. A purple box with an ampersand and ReportName appears.

    Tip: You can add more than one Report Info value in the same textbox, and add text around these values as is done automatically in Page n of m.
See Also
Adding Report Info and Parameters


Display the Report Run Date

Display the Report Run Date
ActiveReports 11 Server Designer User Guide > How To > Display the Report Run Date

You can display the report run date and time on the report using a textbox and the Report Info button.

To display the report run date

  1. Click inside the textbox as if to type in it. In the Report toolbar, the Report Info button is enabled.
  2. Click the Report Info button. A list of report info values for the report drops down.
  3. Select Execution Time. A purple box with an ampersand and ExecutionTime appears.

    Tip: You can add more than one Report Info value in the same textbox, and add text around these values as is done automatically in Page n of m.
See Also
Adding Report Info and Parameters


Display the Parameter Value

Display the Parameter Value
ActiveReports 11 Server Designer User Guide > How To > Display the Parameter Value

When you create a parameterized report, you can display the value chosen for the report in a textbox on the report itself.

To display the parameter value

  1. Click inside the textbox as if to type in it. In the Report toolbar, the Parameter button is enabled.
  2. Click the Parameter button. A list of parameters for the report drops down.
  3. Select the parameter that you want to display on the report. A purple box with a question mark and the parameter name appears. When you click outside the textbox, the purple box disappears. At run time, the value of the parameter displays.

    Tip: You can add more than one Parameter or Report Info value in the same textbox, and add text around these values.
See Also
Adding Report Info and Parameters
Working with Parameters


Concatenate Two Values in One Table Cell

Concatenate Two Values in One Table Cell
ActiveReports 11 Server Designer User Guide > How To > Concatenate Two Values in One Table Cell

You may want to concatenate two or more values from the attribute tree in a single textbox of a table.

To concatenate values

  1. From the Attribute Tree, drag the first value, for example, First Name, into the table cell.
  2. Click inside the cell so that the value #First Name appears in a purple bubble.
  3. Drag the second value, for example, Last Name, into the table cell, and drop it to the left or right of the existing value. #Last name appears in a second bubble inside the textbox.
  4. If you want to add static text, for example, a comma and space after Last Name, or a space between First Name and Last Name, click inside the textbox again and add text.
See Also
Adding Report Info and Parameters
Add Page Numbering
Modifying Text in a Table
Working with Text and Numbers


Create a Report in the ClickOnce End User Designer

Create a Report in the ClickOnce End User Designer
ActiveReports 11 Server Designer User Guide > How To > Create a Report in the ClickOnce End User Designer

You can create a new RPX/RDLX report from the Report portal in the ClickOnce End User Designer. The Designer provides all basic functions of ActiveReports Designer where you can design a report based on the selected report type - Section, Page, or RDL report.

  1. In the Report list area of the Report Portal, click the Create report icon.
  2. In the Create report dialog that appears, choose from Section, Page, or RDL report layout types.
  3. Click OK to open the ClickOnce End User Designer.
    Note: Steps 4 and 5 do not apply for Section reports since Section reports do not support server shared data sets. To set data source in Section reports, click Data Source icon to open Report Data Source dialog, select the data type, fill in the fields, and click OK.
  4. In the Report Explorer, right-click the Server Data Sets node and select the Add Data Set option to add a server shared data set.
  5. In the Add Server Data Set dialog that appears, select the data set, and click OK.
  6. From the toolbox, add controls to your report.
  7. Click the preview tab to view the report at design time.
  8. To save the report, go to the File menu and click Save.
  9. In the Save As dialog that appears, enter the Report name and click Save.

    You can also add a description or a comment, or select the category where you want to save your report.
See Also
Modifying a Report Using Click Once EUD


Modify a Report Using the ClickOnce End User Designer

Modify a Report Using the ClickOnce End User Designer
ActiveReports 11 Server Designer User Guide > How To > Modify a Report Using the ClickOnce End User Designer

You can modify your RPX/RDLX report from the Administrator portal or the Report portal in the ClickOnce End User Designer.

  1. In the Reports page of the Administrator portal or the Report list area of the Report Portal, select the RPX/RDLX report you want to modify and click the Design report icon [image].
  2. In the Designer that opens, modify the report as required.
  3. Go to the File menu and click Save to save the report.
See Also
Create a Report in the ClickOnce End User Designer


Moving a Textbox

Moving a Textbox
  1. Click on a textbox to reveal the adorners.
  2. Point to the textbox border to have the pointer appear.

  3. Click when the pointer is still shown and, holding the mouse left button, move the textbox within the Report Design Surface.


Resizing a Textbox

Resizing a Textbox
  1. Click on a textbox to reveal the adorners.
  2. To resize the textbox, drag any corner (changes the width and the height), the left or right edge (changes the width only) or the top or bottom edge (changes the height only).

Note the indication of the textbox width and height when a textbox is being resized.


Deleting a Textbox

Deleting a Textbox
  1. Click on a textbox to reveal the adorners.
  2. Press Delete.


Glossary

Glossary
A | B | C | D | E | F | G | H | I | J | K | L | M | N | O | P | Q | R | S | T | U | V | W | X | Y | Z

A

attribute tree
Displays the attributes that are associated with the entity selected under the entity tree. For example, the Customer entity has attributes like Address, Phone, Country, etc. If no entity is selected, the attribute tree is empty.

D

drill down
Allows users to expand collapsed table rows to reveal more data. See also drill through.

drill through
Allows users to click links to reports with more detailed data. Located in the Design tab toolbar, the Drilldown button is enabled when you select a table cell or chart data point. Specify parameters in the target report to supply relevant detail data.

R

report design surface
Visible on the Design tab and the Report tab, it is a visual page designer where you can drag and drop entities and attributes to create tables and charts and design your reports.

Report Info
An insert that you can add to a textbox to show page numbering, report name, or run time. Located in the Report tab toolbox, it is enabled when you click inside a textbox.

role root category
Role Root Category is a system category that is set as the top level category for a User Role. All the sub-categories under this level are available to the users in the user role. Role Root Category is a system category that is set as the top level category for a User Role. All the sub-categories under this level are available to the users in the user role.


New Topic 2

New Topic 2


New Topic 3

New Topic 3


New Topic 4

New Topic 4


Templates

Templates

The new template feature has been introduced in the ActiveReports 11 Server Designer in order to allow users to create reports based on the existing templates that are uploaded by the administrator.

A user can create a report by clicking the Create Report button on the Report portal. Upon clicking, this button will navigate the user to the Active Reports Web Designer - a separate window where they are asked to select a report type and choose a template amongst a set of available templates. These tenmplates are displayed in the form of thumbnails along with their names and are described in the table shown below:

Template Name | Description
BlankReport_page.rdlx | This is a blank page report.
BlankReport_rdl.rdlx | This is a blank RDL report.
Invoice_page.rdlx | This is an invoice template.
Deliveryslip_page.rdlx | This is an invoice template. Change the background color of the detail lines with isolation.
Paymentslip_page.rdlx | This is a template of payment handling form. We output the convenience bar code used in the toll storage service.
Label_page.rdlx | This is a template of tack sticker used for addressing envelopes and tags.
SimpleChart_page.rdlx | This is a template of the sales trend table using a simple graph.
CompositeChart_page.rdlx | This is a template fo the sales transition table using a composite graph. Different graph types ae set for each series.
SalesSlip_page.rdlx | This is a template for sales slips. If the data doesn't fit on the first page, a different layout is output on the second page.
Paystub_page.rdlx | This is a template of salary details. Output round schedule schedule.
ReportOfExemptionForDependents_page.rdlx | This is a template of the dependence deduction declaration. Since you're using a layer, you can print only data when printing.
SalesSpecification_page.rdlx | This is a template of sales statement. Total is done by voucher, day, month.
Estimate_page.rdlx | This is a template of the estimate.
ChainStoreUniformSlip_page.rdlx | This is a template of chain store unified vouchers. Since you're using a later, you can print only data when printing.
ManufacturingInstruction_page.rdlx | This is a template of production instructions for manufacturing industry.
MatrixSample_RDL.rdlx | This is a template of the crosstabulation table. It is possible to drill down by clicking the [+] rank.
Salesdashboard_rdl.rdlx | This is a dashboard template. Visualize data using multiple graphs and tables.